<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="yes"/>
  <!-- Globaler / Stylesheet-Parameter -->
  <xsl:param name="terminnr"/>
  <!--Startvorlage -->
  <xsl:template match="/">
    <html>
      <head>
        <title>Buchungsübersicht</title>
      </head>
      <body>
        <h1>Buchungsübersicht</h1>
        <ul>
          <xsl:for-each select="Buchungsliste/Anmeldung[Termin/@Nr = $terminnr and Buchung/Anmelder = Teilnehmer/@Nr]">
            <!-- Lokale Variable innerhalb for-each -->
            <xsl:variable name="anmeldernr" select="Buchung/Anmelder"/>
            <li>
              <xsl:apply-templates select="Teilnehmer"/>
              <xsl:text> </xsl:text>
              <!-- Aufruf einer parametrisierten benannten Vorlage -->
              <xsl:call-template name="Umsatzausgabe">
                <xsl:with-param name="laenge" select="sum(//Preis[parent::*/descendant::Anmelder = $anmeldernr])"/>
              </xsl:call-template>
              <ol>
                <xsl:for-each select="//Anmeldung[Buchung/Anmelder = $anmeldernr and not(Buchung/Anmelder = Teilnehmer/@Nr)]">
                  <li>
                    <xsl:value-of select="Teilnehmer/Name/Nachname"/>
                  </li>
                </xsl:for-each>
              </ol>
            </li>
          </xsl:for-each>
        </ul>
      </body>
    </html>
  </xsl:template>
  <!-- Vorlage Umsatzausgabe -->
  <xsl:template name="Umsatzausgabe">
    <!-- Vorlagen-Parameter mit Standardwert -->
    <xsl:param name="laenge" select="0"/>
    <!-- Parameterverwendung in einer Attributwertvorlage -->
    <hr width="{round($laenge div 5)}" size="5" align="left"/>
  </xsl:template>
  <!-- Vorlage für Teilnehmer -->
  <xsl:template match="Teilnehmer">
    <xsl:value-of select="Name/@Anrede"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="Name/Vorname"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="Name/Nachname"/>
  </xsl:template>
</xsl:stylesheet>
