SET LONG 200000;
SELECT XMLElement("Kurs", XMLAttributes(K_Nr AS "Nummer"),
       XMLElement("Bereich", K_Bereich),
       XMLElement("Name",
        XMLElement("Titel", K_Titel),
        XMLElement("Untertitel", K_Untertitel)),
       XMLElement("Dauer", K_Dauer),
       XMLElement("Anforderungen",
        XMLElement("Zielgruppe", K_Zielgruppe),
        XMLElement("Vorkenntnisse", K_Vorkenntnisse)),
       XMLElement("Kosten",
        XMLElement("Preis", XMLAttributes('TN1'  AS "Typ",
                                          'Euro' AS "Whrung"), P_TN1),
        XMLElement("Preis", XMLAttributes('TN2'  AS "Typ",
                                          'Euro' AS "Whrung"), P_TN2),
        XMLElement("Preis", XMLAttributes('TN3'  AS "Typ",
                                          'Euro' AS "Whrung"), P_TN3),
        XMLElement("Preis", XMLAttributes('TN4'  AS "Typ",
                                          'Euro' AS "Whrung"), P_TN4),
        XMLElement("Preis", XMLAttributes('TN5'  AS "Typ",
                                          'Euro' AS "Whrung"), P_TN5)), 
       XMLElement("Inhalt", K_Themen)) AS XML
  FROM kurs NATURAL JOIN preis
 WHERE K_Nr = 1025039;

-- Ergebnis
/*
XML

<Kurs Nummer="1025039">
  <Bereich>Datenbanken</Bereich>
  <Name>
    <Titel>SQL</Titel>
    <Untertitel>DDL, DML + DCL</Untertitel>
  </Name>
  <Dauer>2</Dauer>
  <Anforderungen>
    <Zielgruppe>DB-Administratoren, DB-Entwickler</Zielgruppe>
    <Vorkenntnisse>Grundlagen in Windows</Vorkenntnisse>
  </Anforderungen>
  <Kosten>
    <Preis Typ="TN1" Whrung="Euro">870</Preis>
    <Preis Typ="TN2" Whrung="Euro">827</Preis>
    <Preis Typ="TN3" Whrung="Euro">786</Preis>
    <Preis Typ="TN4" Whrung="Euro">747</Preis>
    <Preis Typ="TN5" Whrung="Euro">710</Preis>
  </Kosten>
  <Inhalt>A. Einfhrung B. Datenbank und Tabellen anlegen und ndern C. Daten einfgen und ndern D. Grundstrukturen einfacher Abfragen E. Komplexe Abfragen, Unterabfragen und Funktionen F. Abfragen in virtuellen Tabellen speichern G. Zugriffskontrolle durch Benutzer, Rechte und Rollen H. MS SQL Server und Transact SQL I. Oracle und PL/SQL</Inhalt>
</Kurs>


1 Zeile wurde ausgewhlt.
*/