SET LONG 200000;
SELECT XMLElement("Teilnehmer", XMLAttributes(TN_Nr AS "Nr"),
        XMLElement("Name", XMLAttributes(TN_Anrede AS "Anrede"),
         XMLForest(TN_Vorname AS "Vorname",
                   TN_Nachname AS "Nachname")),
       XMLElement("Adresse",
        XMLForest(TN_Strasse AS "Strae",
                  TN_Hausnr AS "Hausnr",
                  TN_PLZ AS "PLZ",
                  TN_Stadt AS "Stadt",
                  TN_Stadtteil AS "Stadtteil",
                  TN_Vorwahl||'-'||TN_Telnr AS "Telnr"))),
       XMLElement("Unternehmen", XMLAttributes(U_Nr AS "Nr"),
       XMLElement("Name", U_Name),
       XMLElement("Branche", U_Branche),
       XMLElement("Adresse",
        XMLForest(U_Strasse AS "Strae",
                  U_Hausnr AS "Hausnr",
                  U_PLZ AS "PLZ",
                  U_Stadt AS "Stadt",
                  U_Stadtteil AS "Stadtteil",
                  U_Vorwahl||'-'||U_Telnr AS "Telnr"))) AS Buchungen
  FROM teilnehmer  NATURAL JOIN unternehmen WHERE TN_Nr =5;

-- Ergebnis
/*
BUCHUNGEN

<Teilnehmer Nr="5">
  <Name Anrede="Herr">
    <Vorname>Norbert</Vorname>
    <Nachname>Fahle</Nachname>
  </Name>
  <Adresse>
    <Strae>Steeler Str.</Strae>
    <Hausnr>43</Hausnr>
    <PLZ>44866</PLZ>
    <Stadt>Bochum</Stadt>
    <Stadtteil>Wattenscheid</Stadtteil>
    <Telnr>2327-598187</Telnr>
  </Adresse>
</Teilnehmer>
<Unternehmen Nr="126">
  <Name>Abfallentsorgungs- und Altlastensanierungsverband Rhein-Ruhr</Name>
  <Branche>Recycling</Branche>
  <Adresse>
    <Strae>Werksstr.</Strae>
    <Hausnr>15</Hausnr>
    <PLZ>45527</PLZ>
    <Stadt>Hattingen, Ruhr</Stadt>
    <Stadtteil>Welper</Stadtteil>
    <Telnr>2324-5094</Telnr>
  </Adresse>
</Unternehmen>


1 Zeile wurde ausgewhlt.

*/