SET SERVEROUTPUT ON;
DECLARE
 Ctx    DBMS_XMLQuery.ctxType; -- Konversionsvar. SQL->XML
 xml    CLOB;                  -- Daten
 datei  utl_file.file_type;    -- Ausgabedatei
 b_KNr  kurs.K_Nr%TYPE := 1025063;
BEGIN
 -- Abfrage absenden
 Ctx := DBMS_XMLQuery.newContext('SELECT * 
                                   FROM kurs
                                  WHERE K_Nr = :Kursnr');
 -- Ergebnisformat
 -- ReihenTag / Standard: ROW
 DBMS_XMLQuery.setRowTag(Ctx, 'Kurs'); 
 -- DatenmengeTag / Standard: ROWSET
 DBMS_XMLQuery.setRowSetTag(Ctx, 'Kursuebersicht'); 
 DBMS_XMLQuery.setMaxRows(Ctx, 3); -- Maximale Reihenzahl 
 DBMS_XMLQuery.setBindValue(Ctx, 'Kursnr', b_KNr);
 -- Abholen der Abfrage 
 xml := DBMS_XMLQuery.getXML(Ctx);
 -- Schlieen des Kontextes
 DBMS_XMLQuery.closeContext(Ctx);
 -- Dateispeicherung
 datei := UTL_FILE.FOPEN('c:\oratext', 'kursuebersicht_XMLQuery.xml', 'W');
 UTL_FILE.PUT_LINE(datei, xml);
 UTL_FILE.FCLOSE(datei);
END;
