SET SERVEROUTPUT ON;
DECLARE
  -- Kontextvariable
  Ctx DBMS_XMLGEN.ctxHandle;
  -- XML als CLOB
  xml XMLType;
  -- Zhler
  i NUMBER := 0;
BEGIN
  -- Abfragekontext einrichten
  Ctx := DBMS_XMLGEN.newContext(
   'SELECT Kurs_T(K_Nr, 
                  K_Titel,
                  K_Untertitel,
                  CAST( 
                    MULTISET(SELECT T_Nr,
                                    T_Beginn,
                                    T_Ende,
                                    T_Ort
                               FROM termin b
                              WHERE a.K_Nr = b.K_Nr)
                    AS Terminliste_T ))
                  AS kurs
      FROM kurs a');  
  -- Kein Sezten des ROW-Tags
  DBMS_XMLGEN.setRowTag(Ctx,NULL);
  DBMS_XMLGEN.setRowsetTag(Ctx,'KURSLISTE');   
  -- Leeren der XML-Tabelle mit XMLType-Daten
  DELETE FROM kursxmltype;
  -- Schleife, um alle Datenstze zu bernehmen
  /* In diesem Beispiel gibt es nur eine Reihe,
     doch man kann auch nur XML-Strukturen erzeugen.
  */
 LOOP 
    -- Abrufen des Ergebnisses
    xml := DBMS_XMLGEN.getXMLType(Ctx);
    -- Schleifenabbruch
    exit when DBMS_XMLGEN.getNumRowsProcessed(Ctx) = 0;
    -- Inkrementation
    i := i + 1;
    -- Tabellen-Eintrag   
    INSERT INTO kursxmltype (kx_nr, kx_text)
    VALUES (i, xml)
    RETURNING kx_nr INTO i;
    COMMIT;
 END LOOP;
 -- Kontrollausgabe
 DBMS_OUTPUT.PUT_LINE('Zeilen eingefgt: ' || i);
 -- Schlieen des Kontextes
 DBMS_XMLGEN.closeContext (Ctx);
END;