SET LONG 20000;
SELECT SYS_XMLAGG(SYS_XMLGEN(Dozent_T(dozent.D_Nr,
                           D_Vorname,
                           D_Nachname,
                           CAST(MULTISET(SELECT kurs.K_Nr,
                                                K_Titel,
                                                K_Untertitel
                                           FROM kurs INNER JOIN themenverteilung t2
                                             ON kurs.K_Nr = t2.K_Nr
                                          WHERE t1.D_Nr = t2.D_Nr)
                           AS Kursliste_T)),
                           XMLFormat.createFormat('KURSE')),
                           XMLFormat.createFormat('DOZENT')).getClobVal() AS XML
  FROM dozent INNER JOIN themenverteilung t1
    ON dozent.D_Nr = t1.D_Nr
 WHERE dozent.D_Nr BETWEEN 5 AND 7;

-- Ergebnis
/*
XML
--------------------------------------------------------------------------------
<?xml version="1.0"?>
<DOZENT>
<KURSE Nr="6">
  <VORNAME>Ralf</VORNAME>
  <NACHNAME>Hostell</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010004">
      <TITEL>Fireworks</TITEL>
      <UNTERTITEL>Webgrafik + Mens</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020053">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020054">
      <TITEL>GoLive</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020055">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>E-Commerce / Ultra Dev</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020056">
      <TITEL>Suchmaschinen-Optimierung</TITEL>
      <UNTERTITEL>Web-Controlling</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020057">
      <TITEL>Frontpage</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020059">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>DHTML-Erweiterungen</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="7">
  <VORNAME>Lars</VORNAME>
  <NACHNAME>Klapp</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010005">
      <TITEL>Photoshop</TITEL>
      <UNTERTITEL>Bildbearbeitung</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1010009">
      <TITEL>Photoshop</TITEL>
      <UNTERTITEL>Korrektur + Verfremdung</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1010074">
      <TITEL>Grafikformate</TITEL>
      <UNTERTITEL>Dateitypen und Funktion</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="7">
  <VORNAME>Lars</VORNAME>
  <NACHNAME>Klapp</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010005">
      <TITEL>Photoshop</TITEL>
      <UNTERTITEL>Bildbearbeitung</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1010009">
      <TITEL>Photoshop</TITEL>
      <UNTERTITEL>Korrektur + Verfremdung</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1010074">
      <TITEL>Grafikformate</TITEL>
      <UNTERTITEL>Dateitypen und Funktion</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="7">
  <VORNAME>Lars</VORNAME>
  <NACHNAME>Klapp</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010005">
      <TITEL>Photoshop</TITEL>
      <UNTERTITEL>Bildbearbeitung</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1010009">
      <TITEL>Photoshop</TITEL>
      <UNTERTITEL>Korrektur + Verfremdung</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1010074">
      <TITEL>Grafikformate</TITEL>
      <UNTERTITEL>Dateitypen und Funktion</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="5">
  <VORNAME>Stefan</VORNAME>
  <NACHNAME>Erdbau</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1015027">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015028">
      <TITEL>C++</TITEL>
      <UNTERTITEL>MFC (Windows-Programmierung)</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015029">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Multithreading</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015032">
      <TITEL>C++</TITEL>
      <UNTERTITEL>COM/ATL</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015033">
      <TITEL>C sharp</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1025039">
      <TITEL>SQL</TITEL>
      <UNTERTITEL>DDL, DML + DCL</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="5">
  <VORNAME>Stefan</VORNAME>
  <NACHNAME>Erdbau</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1015027">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015028">
      <TITEL>C++</TITEL>
      <UNTERTITEL>MFC (Windows-Programmierung)</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015029">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Multithreading</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015032">
      <TITEL>C++</TITEL>
      <UNTERTITEL>COM/ATL</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015033">
      <TITEL>C sharp</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1025039">
      <TITEL>SQL</TITEL>
      <UNTERTITEL>DDL, DML + DCL</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="5">
  <VORNAME>Stefan</VORNAME>
  <NACHNAME>Erdbau</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1015027">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015028">
      <TITEL>C++</TITEL>
      <UNTERTITEL>MFC (Windows-Programmierung)</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015029">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Multithreading</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015032">
      <TITEL>C++</TITEL>
      <UNTERTITEL>COM/ATL</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015033">
      <TITEL>C sharp</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1025039">
      <TITEL>SQL</TITEL>
      <UNTERTITEL>DDL, DML + DCL</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="5">
  <VORNAME>Stefan</VORNAME>
  <NACHNAME>Erdbau</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1015027">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015028">
      <TITEL>C++</TITEL>
      <UNTERTITEL>MFC (Windows-Programmierung)</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015029">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Multithreading</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015032">
      <TITEL>C++</TITEL>
      <UNTERTITEL>COM/ATL</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015033">
      <TITEL>C sharp</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1025039">
      <TITEL>SQL</TITEL>
      <UNTERTITEL>DDL, DML + DCL</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="5">
  <VORNAME>Stefan</VORNAME>
  <NACHNAME>Erdbau</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1015027">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015028">
      <TITEL>C++</TITEL>
      <UNTERTITEL>MFC (Windows-Programmierung)</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015029">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Multithreading</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015032">
      <TITEL>C++</TITEL>
      <UNTERTITEL>COM/ATL</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015033">
      <TITEL>C sharp</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1025039">
      <TITEL>SQL</TITEL>
      <UNTERTITEL>DDL, DML + DCL</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="6">
  <VORNAME>Ralf</VORNAME>
  <NACHNAME>Hostell</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010004">
      <TITEL>Fireworks</TITEL>
      <UNTERTITEL>Webgrafik + Mens</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020053">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020054">
      <TITEL>GoLive</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020055">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>E-Commerce / Ultra Dev</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020056">
      <TITEL>Suchmaschinen-Optimierung</TITEL>
      <UNTERTITEL>Web-Controlling</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020057">
      <TITEL>Frontpage</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020059">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>DHTML-Erweiterungen</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="6">
  <VORNAME>Ralf</VORNAME>
  <NACHNAME>Hostell</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010004">
      <TITEL>Fireworks</TITEL>
      <UNTERTITEL>Webgrafik + Mens</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020053">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020054">
      <TITEL>GoLive</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020055">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>E-Commerce / Ultra Dev</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020056">
      <TITEL>Suchmaschinen-Optimierung</TITEL>
      <UNTERTITEL>Web-Controlling</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020057">
      <TITEL>Frontpage</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020059">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>DHTML-Erweiterungen</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="6">
  <VORNAME>Ralf</VORNAME>
  <NACHNAME>Hostell</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010004">
      <TITEL>Fireworks</TITEL>
      <UNTERTITEL>Webgrafik + Mens</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020053">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020054">
      <TITEL>GoLive</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020055">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>E-Commerce / Ultra Dev</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020056">
      <TITEL>Suchmaschinen-Optimierung</TITEL>
      <UNTERTITEL>Web-Controlling</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020057">
      <TITEL>Frontpage</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020059">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>DHTML-Erweiterungen</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="6">
  <VORNAME>Ralf</VORNAME>
  <NACHNAME>Hostell</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010004">
      <TITEL>Fireworks</TITEL>
      <UNTERTITEL>Webgrafik + Mens</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020053">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020054">
      <TITEL>GoLive</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020055">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>E-Commerce / Ultra Dev</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020056">
      <TITEL>Suchmaschinen-Optimierung</TITEL>
      <UNTERTITEL>Web-Controlling</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020057">
      <TITEL>Frontpage</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020059">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>DHTML-Erweiterungen</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="6">
  <VORNAME>Ralf</VORNAME>
  <NACHNAME>Hostell</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010004">
      <TITEL>Fireworks</TITEL>
      <UNTERTITEL>Webgrafik + Mens</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020053">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020054">
      <TITEL>GoLive</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020055">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>E-Commerce / Ultra Dev</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020056">
      <TITEL>Suchmaschinen-Optimierung</TITEL>
      <UNTERTITEL>Web-Controlling</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020057">
      <TITEL>Frontpage</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020059">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>DHTML-Erweiterungen</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="6">
  <VORNAME>Ralf</VORNAME>
  <NACHNAME>Hostell</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010004">
      <TITEL>Fireworks</TITEL>
      <UNTERTITEL>Webgrafik + Mens</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020053">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020054">
      <TITEL>GoLive</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020055">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>E-Commerce / Ultra Dev</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020056">
      <TITEL>Suchmaschinen-Optimierung</TITEL>
      <UNTERTITEL>Web-Controlling</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020057">
      <TITEL>Frontpage</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020059">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>DHTML-Erweiterungen</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="6">
  <VORNAME>Ralf</VORNAME>
  <NACHNAME>Hostell</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010004">
      <TITEL>Fireworks</TITEL>
      <UNTERTITEL>Webgrafik + Mens</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020053">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020054">
      <TITEL>GoLive</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020055">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>E-Commerce / Ultra Dev</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020056">
      <TITEL>Suchmaschinen-Optimierung</TITEL>
      <UNTERTITEL>Web-Controlling</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020057">
      <TITEL>Frontpage</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020059">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>DHTML-Erweiterungen</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="6">
  <VORNAME>Ralf</VORNAME>
  <NACHNAME>Hostell</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1010004">
      <TITEL>Fireworks</TITEL>
      <UNTERTITEL>Webgrafik + Mens</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020052">
      <TITEL>HTML</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020053">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020054">
      <TITEL>GoLive</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020055">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>E-Commerce / Ultra Dev</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020056">
      <TITEL>Suchmaschinen-Optimierung</TITEL>
      <UNTERTITEL>Web-Controlling</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020057">
      <TITEL>Frontpage</TITEL>
      <UNTERTITEL>Webdesign</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1020059">
      <TITEL>Dreamweaver</TITEL>
      <UNTERTITEL>DHTML-Erweiterungen</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
<KURSE Nr="5">
  <VORNAME>Stefan</VORNAME>
  <NACHNAME>Erdbau</NACHNAME>
  <KURSLISTE>
    <THEMA_T Nr="1015027">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015028">
      <TITEL>C++</TITEL>
      <UNTERTITEL>MFC (Windows-Programmierung)</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015029">
      <TITEL>C++</TITEL>
      <UNTERTITEL>Multithreading</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015032">
      <TITEL>C++</TITEL>
      <UNTERTITEL>COM/ATL</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1015033">
      <TITEL>C sharp</TITEL>
      <UNTERTITEL>Syntax + Konzepte</UNTERTITEL>
    </THEMA_T>
    <THEMA_T Nr="1025039">
      <TITEL>SQL</TITEL>
      <UNTERTITEL>DDL, DML + DCL</UNTERTITEL>
    </THEMA_T>
  </KURSLISTE>
</KURSE>
</DOZENT>


1 Zeile wurde ausgewhlt.
*/