-- CREATE OR REPLACE DIRECTORY XMLAusgabe AS 'C:\OraXML';
-- DROP DIRECTORY XMLAusgabe;
-- GRANT READ, WRITE ON DIRECTORY XMLAusgabe TO SCOTT;
SET SERVEROUTPUT ON;
DECLARE
 doc DBMS_XMLDOM.DOMDocument;
 v_Text VARCHAR2(200);
 v_XML  VARCHAR2(200);
BEGIN
 -- Neues DOM-Dokument erstellen
 doc := DBMS_XMLDOM.newDOMDocument();
 -- Version setzen
 DBMS_XMLDOM.setVersion(doc, '1.0');
 -- Zeichensatz setzen
 DBMS_XMLDOM.setCharset(doc, 'ISO-8859-1');
 -- Keine DTD, kein XML Schema
 DBMS_XMLDOM.setStandalone(doc, 'yes');
 -- Abruf von Eigenschaften
 v_Text := 'Version: ' || DBMS_XMLDOM.getVersion(doc)
           || ' | Zeichensatz: ' || DBMS_XMLDOM.getCharset(doc)
           || ' | Standalone: '  || DBMS_XMLDOM.getStandalone(doc);
 DBMS_OUTPUT.put_line(v_Text);
 -- Ausgabe als Datei und Text
 DBMS_XMLDOM.writeToFile(doc, 'XMLAUSGABE/test.xml');
 DBMS_XMLDOM.writeToBuffer(doc, v_XML);
 DBMS_OUTPUT.put_line(v_XML);
 -- DOM-Dokument entfernen
 DBMS_XMLDOM.freeDocument(doc);
END;