-- CREATE OR REPLACE DIRECTORY XMLAusgabe AS 'C:\OraXML';
-- DROP DIRECTORY XMLAusgabe;
-- GRANT READ, WRITE ON DIRECTORY XMLAusgabe TO SCOTT;
SET SERVEROUTPUT ON;
DECLARE
 -- Handle fr DOM-Dokument
 doc DBMS_XMLDOM.DOMDocument;
 -- Generische Variablen fr Knotentypen
 v_Teilnehmer  DBMS_XMLDOM.DOMElement;
 v_Name        DBMS_XMLDOM.DOMElement;
 v_Comment     DBMS_XMLDOM.DOMComment;
 v_Anzahl      DBMS_XMLDOM.DOMAttr;
 v_Text        DBMS_XMLDOM.DOMText;
 -- Eindeutige Variable fr Wurzelelement
 v_Wurzel   DBMS_XMLDOM.DOMNode;
 -- Sonstige Variablen
 v_XML  VARCHAR2(200);
BEGIN
 -- Neues DOM-Dokument erstellen
 doc := DBMS_XMLDOM.newDOMDocument();
 -- Version setzen
 DBMS_XMLDOM.setVersion(doc, '1.0');
 -- Zeichensatz setzen
 DBMS_XMLDOM.setCharset(doc, 'ISO-8859-1');
 -- Dokument aufbauen
 -- <?xml version="1.0"?>
 v_Wurzel := DBMS_XMLDOM.makeNode(doc);
 -- <Teilnehmer>
 v_Teilnehmer := DBMS_XMLDOM.createElement(doc, 'Teilnehmer');
 v_Wurzel := DBMS_XMLDOM.appendChild(
               v_Wurzel,
               DBMS_XMLDOM.makeNode(v_Teilnehmer));
 -- Anzahl="2" 
 v_Anzahl := DBMS_XMLDOM.createAttribute(doc, 'Anzahl');
 DBMS_XMLDOM.setValue(v_Anzahl, '2');
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Teilnehmer),
              DBMS_XMLDOM.makeNode(v_Anzahl));
 -- <!--Teilnehmerstammdaten-->
 v_Comment := DBMS_XMLDOM.createComment(doc, 'Teilnehmerstammdaten');
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Teilnehmer),
              DBMS_XMLDOM.makeNode(v_Comment));
 -- <Name>
 v_Name := DBMS_XMLDOM.createElement(doc, 'Name');
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Teilnehmer),
              DBMS_XMLDOM.makeNode(v_Name));
 -- <Name>Anton Ebenhof</Name>
 v_Text := DBMS_XMLDOM.createTextNode(doc, 'Anton Ebenhof');
 -- <Name>Elvira Hlzemann</Name>
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Name),
              DBMS_XMLDOM.makeNode(v_Text));
 v_Name := DBMS_XMLDOM.createElement(doc, 'Name');
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Teilnehmer),
              DBMS_XMLDOM.makeNode(v_Name)); 
 v_Text := DBMS_XMLDOM.createTextNode(doc, 'Elvira Hlzemann');
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Name),
              DBMS_XMLDOM.makeNode(v_Text)); 
 -- Ausgabe
 DBMS_XMLDOM.writeToBuffer(doc, v_XML);
 DBMS_OUTPUT.put_line(v_XML);
 -- DOM-Dokument entfernen
 DBMS_XMLDOM.freeDocument(doc);
END;

-- Ausgabe
/*
<?xml version="1.0"?>
<Teilnehmer Anzahl="2">
  <!--Teilnehmerstammdaten-->
  <Name>Anton Ebenhof</Name>
  <Name>Elvira Hlzemann</Name>
</Teilnehmer>
*/