DECLARE
 -- Variablen
 v_XML     xmltype;
 doc       DBMS_XMLDOM.domDocument;
 v_Wurzel  DBMS_XMLDOM.DOMNode;
 v_Dozent1 DBMS_XMLDOM.DOMNode;
 v_Dozent2 DBMS_XMLDOM.DOMNode;
 v_Name    DBMS_XMLDOM.DOMNode;
 v_Text    VARCHAR2(32767);
 -- Hilfsfunktion
 FUNCTION allgemeineEigenschaften(
  n IN DBMS_XMLDOM.DOMNode)
 RETURN VARCHAR2
 IS
  v_Text VARCHAR2(10000);
 BEGIN
  v_Text :=  DBMS_XMLDOM.getNodeName(n) || ': Typ '
           || DBMS_XMLDOM.getNodeType(n);
  -- Textknoten oder Kind-Elemente?
  IF NOT(DBMS_XMLDOM.hasChildNodes(n)) THEN
   v_Text := v_Text || ' | ('
                    || DBMS_XMLDOM.getNodeValue(n) || ' ) ';
  ELSIF DBMS_XMLDOM.hasAttributes(n) THEN
   v_Text := v_Text || ' und Attribut(e)';
  END IF;
  RETURN v_Text;
 END allgemeineEigenschaften;
BEGIN
 -- XML abrufen
 SELECT XMLElement("Dozentenliste",
        XMLAgg(XMLElement("Dozent",
               XMLAttributes(D_Nr AS "Nr"),
        XMLElement("Name",
         XMLForest(D_Vorname AS "Vorname",
                   D_Nachname AS "Nachname"),
         XMLElement("Stadt", D_Stadt))))) AS XML
  INTO v_XML
  FROM dozent
 WHERE D_Nr < 5;
  -- DOM-Dokument erzeugen
  doc := DBMS_XMLDOM.newDOMDocument(v_XML);
  -- Wurzel abrufen
  v_Wurzel := DBMS_XMLDOM.makeNode(DBMS_XMLDOM.getDocumentElement(doc));
  -- Allgemeine Eigenschaften
  DBMS_OUTPUT.put_line(allgemeineEigenschaften(v_Wurzel));
  -- Kindelemente abrufen
  IF DBMS_XMLDOM.hasChildNodes(v_Wurzel)
  THEN
   -- Zum letzten Dozenten...
   v_Dozent1 := DBMS_XMLDOM.getLastChild(v_Wurzel);
   DBMS_OUTPUT.put_line(allgemeineEigenschaften(v_Dozent1));
   -- ...einen nach vorne, den Namen abrufen...
   v_Dozent1 := DBMS_XMLDOM.getPreviousSibling(v_Dozent1);
   v_Name := DBMS_XMLDOM.getFirstChild(v_Dozent1);
   DBMS_OUTPUT.put_line(allgemeineEigenschaften(v_Name));
   -- ...und diesen Dozenten ausgeben
   DBMS_XMLDOM.writeToBuffer(v_Dozent1, v_Text);
   DBMS_OUTPUT.put_line(v_Text);
   -- Ersten Dozenten abrufen...
   v_Dozent2 := DBMS_XMLDOM.getFirstChild(v_Wurzel);
   -- ...gegen den vorvorletzten austauschen
   v_Dozent1 := DBMS_XMLDOM.replaceChild(v_Wurzel, v_Dozent1, v_Dozent2);
   -- und das genderte XML ausgeben
   DBMS_XMLDOM.writeToBuffer(v_Wurzel, v_Text);
   DBMS_OUTPUT.put_line(v_Text);
  END IF;
END;
