DECLARE
 -- XML-Text als Zeichenkette
 v_XML  xmltype := 
        xmltype('<k:Dozentenliste xmlns:k="http://www.kurse-nrw.de">
                 <k:Dozent Nr="4" Anrede="Herr">
                  <k:Name>
                    <k:Vorname>Holger</k:Vorname>
                    <k:Nachname>Schnellschuss</k:Nachname>
                  </k:Name>
                  <k:Stadt>Dortmund</k:Stadt>
                 </k:Dozent>
                 </k:Dozentenliste>');
 -- Einzelne Knoten 
 v_Dozent         DBMS_XMLDOM.DOMNode;
 v_AttributKnoten DBMS_XMLDOM.DOMNode;
 v_Attribut       DBMS_XMLDOM.DOMAttr;
 v_KindKnoten     DBMS_XMLDOM.DOMNode; 
 -- Listen
 v_Attributliste  DBMS_XMLDOM.DOMNamedNodeMap;
 v_Kindelemente   DBMS_XMLDOM.DOMNodeList; 
 -- Andere Variablen
 doc              DBMS_XMLDOM.domDocument;
 v_Text    VARCHAR2(32767);
BEGIN
  -- DOM-Dokument erzeugen
  doc := DBMS_XMLDOM.newDOMDocument(v_XML);
  -- Elemente per Namen abrufen
  v_Dozent := DBMS_XMLDOM.item(
               DBMS_XMLDOM.getElementsByTagName(doc, 'Dozent'),0);
  -- Attribute abrufen und verarbeiten
  v_Attributliste := DBMS_XMLDOM.getAttributes(v_Dozent);
  IF NOT(DBMS_XMLDOM.isNull(v_Attributliste))
     AND DBMS_XMLDOM.getLength(v_Attributliste) > 1 THEN
     -- Attribut erzeugen und ersetzen
     v_Attribut := DBMS_XMLDOM.createAttribute(doc, 'Anrede');
     DBMS_XMLDOM.setValue(v_Attribut, 'Monsieur');
     v_AttributKnoten := DBMS_XMLDOM.setNamedItem(
                          v_Attributliste,
                          DBMS_XMLDOM.makeNode(v_Attribut));
     -- Attribut Nr lschen
     -- und v_Attributknoten berschreiben
     v_AttributKnoten := DBMS_XMLDOM.removeNamedItem(v_Attributliste, 'Nr');                          
  END IF;
  -- Kindelemente abrufen
  v_Kindelemente := DBMS_XMLDOM.getChildNodes(v_Dozent);
  FOR i IN 0..DBMS_XMLDOM.getLength(v_Kindelemente) LOOP
   v_KindKnoten := DBMS_XMLDOM.item(v_Kindelemente, i);
   IF DBMS_XMLDOM.getNodeName(v_KindKnoten) = 'Stadt' THEN
      v_KindKnoten := DBMS_XMLDOM.removeChild(
                       DBMS_XMLDOM.item(v_Kindelemente, i),
                       v_KindKnoten);
   END IF;
  END LOOP;
  -- Kontrolle
  DBMS_XMLDOM.writeToBuffer(v_Dozent, v_Text);
  DBMS_OUTPUT.put_line(v_Text);
END;
