SET SERVEROUTPUT ON;
DECLARE
 -- Handle fr DOM-Dokument
 doc       DBMS_XMLDOM.DOMDocument;
 -- Variablen fr Knotentypen
 v_Kurs    DBMS_XMLDOM.DOMElement;
 v_Titel   DBMS_XMLDOM.DOMElement;
 v_Inhalt  DBMS_XMLDOM.DOMElement;
 v_Comment DBMS_XMLDOM.DOMComment;
 v_Cdata   DBMS_XMLDOM.DOMCDATASection;
 v_Text    DBMS_XMLDOM.DOMText;
 -- Eindeutige Variable fr Wurzelelement
 v_Wurzel  DBMS_XMLDOM.DOMNode;
 -- Sonstige Variablen
 v_XML     VARCHAR2(200);
BEGIN
 -- Neues DOM-Dokument erstellen
 doc := DBMS_XMLDOM.newDOMDocument();
 DBMS_XMLDOM.setVersion(doc, '1.0');
 -- Dokument aufbauen
 v_Wurzel := DBMS_XMLDOM.makeNode(doc);
 -- <Kurs>
 v_Kurs   := DBMS_XMLDOM.createElement(doc, 'Kurs');
 v_Wurzel := DBMS_XMLDOM.appendChild(
               v_Wurzel,
               DBMS_XMLDOM.makeNode(v_Kurs));
 -- <!--Kursinformationen-->
 v_Comment := DBMS_XMLDOM.createComment(doc, 'Kursinformationen');
 v_Wurzel  := DBMS_XMLDOM.appendChild(
               DBMS_XMLDOM.makeNode(v_Kurs),
               DBMS_XMLDOM.makeNode(v_Comment));               
 -- <Titel>
 v_Titel  := DBMS_XMLDOM.createElement(doc, 'Titel');
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Kurs),
              DBMS_XMLDOM.makeNode(v_Titel));
 -- <Titel>Oracle, PL/SQL und XML</Titel>
 v_Text   := DBMS_XMLDOM.createTextNode(doc, 'Oracle, PL/SQL und XML');
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Titel),
              DBMS_XMLDOM.makeNode(v_Text));
 -- <Inhalt>
 v_Inhalt := DBMS_XMLDOM.createElement(doc, 'Inhalt');
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Kurs),
              DBMS_XMLDOM.makeNode(v_Inhalt));
 -- <![CDATA[<ul><li>XML erzeugen</li><li>XML verarbeiten</li></ul>]]> 
 v_Cdata := DBMS_XMLDOM.createCdataSection(doc, '<ul><li>XML erzeugen</li><li>XML verarbeiten</li></ul>');
 v_Wurzel := DBMS_XMLDOM.appendChild(
              DBMS_XMLDOM.makeNode(v_Inhalt),
              DBMS_XMLDOM.makeNode(v_Cdata));
 -- Ausgabe
 DBMS_XMLDOM.writeToBuffer(doc, v_XML);
 DBMS_OUTPUT.put_line(v_XML);
 -- DOM-Dokument entfernen
 DBMS_XMLDOM.freeDocument(doc);
END;

-- Ausgabe
/*
<?xml version="1.0"?>
<Kurs>
  <!--Kursinformationen-->
  <Titel>Oracle, PL/SQL und XML</Titel>
  <Inhalt><![CDATA[<ul><li>XML erzeugen</li><li>XML verarbeiten</li></ul>]]></Inhalt>
</Kurs>
*/