DECLARE
 -- XML
 v_XML xmltype := 
       xmltype('<Katalog>
                 <Kurs>
                  <!--Kursinformationen-->
                  <Titel>Oracle, PL/SQL und XML</Titel>
                  <Inhalt><![CDATA[<ul><li>XML erzeugen</li><li>XML verarbeiten</li></ul>]]></Inhalt>
                 </Kurs>
                </Katalog>');
 v_CdataXML xmltype;                
 -- Variablen fr Knotentypen
 -- Einzelne Knoten 
 v_Kurs           DBMS_XMLDOM.DOMNode;
 v_KindKnoten     DBMS_XMLDOM.DOMNode; 
 v_KindKnoten2    DBMS_XMLDOM.DOMNode;
 -- Listen
 v_Kindelemente   DBMS_XMLDOM.DOMNodeList; 
 v_Kindelemente2  DBMS_XMLDOM.DOMNodeList;
 -- Andere Variablen
 doc              DBMS_XMLDOM.domDocument;
 v_Cdata          DBMS_XMLDOM.DOMCharacterData;
 v_Text           VARCHAR2(32767); 
BEGIN
 -- Neues DOM-Dokument erstellen
 doc := DBMS_XMLDOM.newDOMDocument(v_XML);
 -- Elemente per Namen abrufen
 v_Kurs := DBMS_XMLDOM.item(
             DBMS_XMLDOM.getElementsByTagName(doc, 'Kurs'),0);     
 -- Kindelemente abrufen
 v_Kindelemente := DBMS_XMLDOM.getChildNodes(v_Kurs);
 FOR i IN 0..DBMS_XMLDOM.getLength(v_Kindelemente) LOOP
  v_KindKnoten := DBMS_XMLDOM.item(v_Kindelemente, i);
  -- Unterschiedliche Behandlung gem Knotentypen
  CASE DBMS_XMLDOM.getNodeType(v_KindKnoten)
   -- Kommentar 
   WHEN DBMS_XMLDOM.COMMENT_NODE THEN 
    DBMS_OUTPUT.put_line('Kommentar: ' || DBMS_XMLDOM.getNodeValue(v_KindKnoten));
   -- Element 
   WHEN DBMS_XMLDOM.ELEMENT_NODE THEN 
    DBMS_OUTPUT.put_line('Element: ' || DBMS_XMLDOM.getNodeName(v_KindKnoten));
    -- Kindelemente abrufen
    v_Kindelemente2 := DBMS_XMLDOM.getChildNodes(v_KindKnoten);
    FOR i IN 0..DBMS_XMLDOM.getLength(v_Kindelemente2) LOOP
     v_KindKnoten2 := DBMS_XMLDOM.item(v_Kindelemente2, i);
     CASE DBMS_XMLDOM.getNodeType(v_KindKnoten2)
       -- Text  
       WHEN DBMS_XMLDOM.TEXT_NODE THEN
        v_Cdata := DBMS_XMLDOM.makeCharacterData(v_KindKnoten2);
        -- Text: Oracle 9i/10g/11g, PL/SQL 
        -- und XML , XML Schema, XSLT | Lnge: 52
        DBMS_XMLDOM.appendData(v_Cdata, ' , XML Schema, XSLT');
        DBMS_XMLDOM.insertData(v_Cdata, 6, ' 9i/10g/11g');
        v_Text := 'Text: ' || DBMS_XMLDOM.getData(v_Cdata)
                  || ' | Lnge: ' || DBMS_XMLDOM.getLength(v_Cdata);
        DBMS_OUTPUT.put_line(v_Text);                  
        -- PL/SQL und XML                  
        DBMS_OUTPUT.put_line(DBMS_XMLDOM.substringData(v_Cdata, 19, 14));
        -- Oracle 9i/10g/11g, XML und PL/SQL
        DBMS_XMLDOM.replaceData(v_Cdata, 19, 14, 'XML und PL/SQL');
        DBMS_XMLDOM.deleteData(v_Cdata, 34, DBMS_XMLDOM.getLength(v_Cdata));
        DBMS_OUTPUT.put_line(DBMS_XMLDOM.getData(v_Cdata));
       -- CDATA
       WHEN DBMS_XMLDOM.CDATA_SECTION_NODE THEN 
        v_Cdata := DBMS_XMLDOM.makeCharacterData(v_KindKnoten2);
        -- Umwandlung in XML und beliebige Weiterverarbeitung mglich
        v_CdataXML := xmltype(DBMS_XMLDOM.getData(v_CData));
       ELSE NULL;
     END CASE;
    END LOOP;
   ELSE NULL;
  END CASE;
 END LOOP; 
 -- Ausgabe
 DBMS_XMLDOM.writeToBuffer(doc, v_Text);
 DBMS_OUTPUT.put_line(v_Text);
 -- DOM-Dokument entfernen
 DBMS_XMLDOM.freeDocument(doc);
END;