DECLARE
 -- XML
 v_XML xmltype := 
       xmltype('<Katalog>
                 <Kurs>
                  <!--Kursinformationen-->
                  <Titel>Oracle, PL/SQL und XML</Titel>
                  <Inhalt><![CDATA[<ul><li>XML erzeugen</li><li>XML verarbeiten</li></ul>]]></Inhalt>
                 </Kurs>
                </Katalog>');
 -- Variablen fr Knotentypen
 -- Einzelne Knoten 
 v_Kurs           DBMS_XMLDOM.DOMNode;
 v_KindKnoten     DBMS_XMLDOM.DOMNode; 
 -- Listen
 v_Attributliste  DBMS_XMLDOM.DOMNamedNodeMap;
 v_Kindelemente   DBMS_XMLDOM.DOMNodeList; 
 -- Andere Variablen
 doc              DBMS_XMLDOM.domDocument;
 v_Cdata          DBMS_XMLDOM.DOMCharacterData;
 v_Text           VARCHAR2(32767); 
BEGIN
 -- Neues DOM-Dokument erstellen
 doc := DBMS_XMLDOM.newDOMDocument(v_XML);
 -- Elemente per Namen abrufen
 v_Kurs := DBMS_XMLDOM.item(
             DBMS_XMLDOM.getElementsByTagName(doc, 'Kurs'),0);     
 -- Kindelemente abrufen
 v_Kindelemente := DBMS_XMLDOM.getChildNodes(v_Kurs);
 FOR i IN 0..DBMS_XMLDOM.getLength(v_Kindelemente) LOOP
  v_KindKnoten := DBMS_XMLDOM.item(v_Kindelemente, i);
  -- Unterschiedliche Behandlung gem Knotentypen
  CASE DBMS_XMLDOM.getNodeType(v_KindKnoten)
   -- Kommentar 
   WHEN DBMS_XMLDOM.COMMENT_NODE THEN 
    DBMS_OUTPUT.PUT_LINE('Kommentar: ' || DBMS_XMLDOM.getNodeValue(v_KindKnoten));
   -- Text  
   WHEN DBMS_XMLDOM.TEXT_NODE THEN
    v_Cdata := DBMS_XMLDOM.makeCharacterData(v_KindKnoten);
    DBMS_OUTPUT.PUT_LINE('Text: ' || DBMS_XMLDOM.getData(v_Cdata));
   -- CDATA
   WHEN DBMS_XMLDOM.CDATA_SECTION_NODE THEN 
     v_Cdata := DBMS_XMLDOM.makeCharacterData(v_KindKnoten);
     DBMS_OUTPUT.PUT_LINE('CDATA: ' || DBMS_XMLDOM.getData(v_CData));    
   ELSE NULL;
  END CASE;

/*
   -- CDATA
   WHEN DBMS_XMLDOM.CDATA_SECTION_NODE THEN 
     v_Cdata := DBMS_XMLDOM.makeCharacterData(v_KindKnoten);
     DBMS_OUTPUT.PUT_LINE('CDATA: ' || DBMS_XMLDOM.getData(v_CData));
*/
 END LOOP; 
 -- Ausgabe
 --DBMS_XMLDOM.writeToBuffer(doc, v_Text);
 --DBMS_OUTPUT.put_line(v_Text);
 -- DOM-Dokument entfernen
 DBMS_XMLDOM.freeDocument(doc);
END;