SET SERVEROUTPUT ON;
DECLARE
 -- Parser
 p DBMS_XMLPARSER.parser;
 -- DOM-Struktur
 doc DBMS_XMLDOM.DOMDocument;
 -- Verzeichnis
 dir varchar2(50)     := 'C:\oraxml';
 -- Eingabedatei
 inpfile varchar2(50) := 'kursliste.xml';
 -- Fehlerdatei
 errfile varchar2(50) := 'fehler.txt';
 -- DOM-Knotenliste
 nl DBMS_XMLDOM.DOMNodeList;
 len number;
 n DBMS_XMLDOM.DOMNode;
 a DBMS_XMLDOM.DOMNode;
 nm DBMS_XMLDOM.DOMNamedNodeMap;
 -- XPath-Auswahl
 FUNCTION selected_nodes (
   doc_in     IN   DBMS_XMLDOM.domdocument,
   xpath_in   IN   VARCHAR2
 )
 RETURN DBMS_XMLDOM.domnodelist
 IS
   retval   DBMS_XMLDOM.domnodelist;
 BEGIN
   retval := DBMS_XSLPROCESSOR.selectnodes (
               DBMS_XMLDOM.makenode (doc_in),
               xpath_in);
   RETURN retval;
 END;
BEGIN
 -- Parser erstellen
 p := DBMS_XMLPARSER.newParser;
 -- Parser-Eigenschaften
 DBMS_XMLPARSER.setValidationMode(p, FALSE);
 DBMS_XMLPARSER.setErrorLog(p, dir || '/' || errfile);
 DBMS_XMLPARSER.setBaseDir(p, dir);
 -- Parse Eingabe-Datei
 DBMS_XMLPARSER.parse(p, dir || '/' || inpfile);
 -- Erhalte DOM-Dokument
 doc := DBMS_XMLPARSER.getDocument(p);
 nl := selected_nodes(doc, '//Kurs[Name/Titel=''Oracle'']');
 -- Anzahl der Elemente
 DBMS_OUTPUT.put_line('Anzahl: ' ||DBMS_XMLDOM.getLength(nl));
 -- Verarbeitung der Elemente
 FOR i IN 0..DBMS_XMLDOM.getLength(nl)-1 LOOP
   -- Whle Elemente
   n := DBMS_XMLDOM.item(nl, i);
   -- Whle Attribute fr Element  
   nm := DBMS_XMLDOM.getAttributes(n);
   DBMS_OUTPUT.put( DBMS_XMLDOM.getNodeName(n) || ' ');
   IF (DBMS_XMLDOM.isNull(nm) = FALSE) 
    THEN
     -- Verarbeite Attribute
     FOR j IN 0..DBMS_XMLDOM.getLength(nm)-1 LOOP
       a := DBMS_XMLDOM.item(nm, j);
       DBMS_OUTPUT.put_line('(' || DBMS_XMLDOM.getNodeName(a) || ' ' || DBMS_XMLDOM.getNodeValue(a) || ')');
     END LOOP;
   END IF;
  END LOOP;
END;