SET SERVEROUTPUT ON;
DECLARE
 -- DOM-Struktur
 doc DBMS_XMLDOM.DOMDocument;
 -- Prozessoranweisung
 pi DBMS_XMLDOM.DOMProcessingInstruction; 
 -- Knoten
 n      DBMS_XMLDOM.DOMNode;
 e      DBMS_XMLDOM.DOMElement;
 root   DBMS_XMLDOM.DOMNode;
 parent DBMS_XMLDOM.DOMNode;
 t      DBMS_XMLDOM.DOMText; 
 -- Buffer fr Kontrollausgabe
 buffer varchar2(32676);
 -- Cursor fr relationale Daten
 CURSOR c_Termine IS
  SELECT *
    FROM termin
   WHERE T_Nr < 5;
 -- Element-Erstellung
 PROCEDURE appendElement(name VARCHAR2,
                         content VARCHAR2,
                         doc IN OUT DBMS_XMLDOM.DOMDocument,
                         parent IN OUT DBMS_XMLDOM.DOMNode)
  IS
   n  DBMS_XMLDOM.DOMNode;
   e  DBMS_XMLDOM.DOMElement;
   t  DBMS_XMLDOM.DOMText; 
  BEGIN
   e := DBMS_XMLDOM.createElement( doc, name );
   n := DBMS_XMLDOM.makeNode( e );
   n := DBMS_XMLDOM.appendChild( parent, n );
   t := DBMS_XMLDOM.createTextNode( doc, content );
   n := DBMS_XMLDOM.appendChild( n, DBMS_XMLDOM.makeNode( t ) ); 
  END;   
BEGIN
 -- Erstelle neues DOM-Dokument
 doc := DBMS_XMLDOM.newDOMDocument();
 -- Prolog
 DBMS_XMLDOM.setVersion(doc, '1.0'); -- Version
 DBMS_XMLDOM.setCharset(doc, 'UTF-8'); -- Zeichensatz
 DBMS_XMLDOM.setStandalone(doc, 'no'); -- standalone?
 -- Wurzelelement erstellen
 root := DBMS_XMLDOM.makeNode( doc );
 e := DBMS_XMLDOM.createElement( doc, 'Terminliste' );
 -- XML Schema-Verknpfung
 DBMS_XMLDOM.setAttribute( e, 'xmlns:xsi', 'http://www.w3.org/2001/XMLSchema-instance');
 DBMS_XMLDOM.setAttribute( e, 'xsi:noNamespaceSchemaLocation', 'terminliste.xsd');
 n := DBMS_XMLDOM.makeNode( e );
 parent := DBMS_XMLDOM.appendChild( root, n );
 -- Abfrage verarbeiten und Kinder erzeugen
 FOR v_TDaten IN c_Termine LOOP
  -- Termin-Element erzeugen
  e := DBMS_XMLDOM.createElement( doc, 'Termin' );
  n := DBMS_XMLDOM.makeNode( e );
  n := DBMS_XMLDOM.appendChild( parent, n );
  -- T_Nr
  appendElement('T_Nr', TO_CHAR(v_TDaten.T_Nr), doc, n); 
  -- K_Nr
  appendElement('K_Nr', TO_CHAR(v_TDaten.K_Nr), doc, n);
  -- T_Ort
  appendElement('T_Ort', v_TDaten.T_Ort, doc, n);
  -- T_Beginn
  appendElement('T_Beginn', TO_CHAR(v_TDaten.T_Beginn, 'YYYY-MM-DD'), doc, n); 
  -- T_Ende
 appendElement('T_Ende', TO_CHAR(v_TDaten.T_Ende, 'YYYY-MM-DD'), doc, n); 
 END LOOP;
 -- Kontrollausgabe
 DBMS_XMLDOM.writeToBuffer(doc, buffer);
 DBMS_OUTPUT.put_line(buffer);
END;
