SET LONG 200000;
SELECT XMLROOT (XMLElement("Dozent-Liste",
       XMLAGG(XMLELEMENT("Dozent", XMLATTRIBUTES(dozent.D_Nr AS "D_NR"),
         XMLELEMENT("Name",
          XMLFOREST(D_Anrede AS "D_ANREDE",
                    D_Vorname AS "D_VORNAME",
                    D_Nachname AS "D_NACHNAME")),
         XMLELEMENT("Adresse",
          XMLFOREST(D_Strasse AS "D_STRASSE",
                    D_Hausnr AS "D_HAUSNR",
                    D_Stadtteil AS "D_STADTTEIL",
                    D_Land AS "D_LAND",
                    D_Plz AS "D_PLZ",
                    D_Stadt AS "D_STADT")),                    
          XMLELEMENT ("Thema-Liste",
            (SELECT XMLAGG(XMLELEMENT("Thema", 
                             XMLATTRIBUTES(TH_Nr AS "TH_NR"),
                              XMLFOREST(K_Nr AS "K_NR",
                                        TH_Tagessatz AS "TH_TAGESSATZ")))
               FROM themenverteilung th
              WHERE dozent.D_Nr = th.D_Nr ))))), VERSION '1.0', STANDALONE YES) AS XML
  FROM dozent
 WHERE D_NR < 5;

-- Ergebnis
/*
XML
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<?xml version="1.0" standalone="yes"?>
<Dozent-Liste>
  <Dozent D_NR="1">
    <Name>
      <D_ANREDE>Frau</D_ANREDE>
      <D_VORNAME>Birte</D_VORNAME>
      <D_NACHNAME>Sonnenschein</D_NACHNAME>
    </Name>
    <Adresse>
      <D_STRASSE>Charlottenhofstr.</D_STRASSE>
      <D_HAUSNR>29</D_HAUSNR>
      <D_STADTTEIL>Kettwig</D_STADTTEIL>
      <D_LAND>D</D_LAND>
      <D_PLZ>45219</D_PLZ>
      <D_STADT>Essen, Ruhr</D_STADT>
    </Adresse>
    <Thema-Liste>
      <Thema TH_NR="57">
        <K_NR>1015064</K_NR>
        <TH_TAGESSATZ>450</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="60">
        <K_NR>1015065</K_NR>
        <TH_TAGESSATZ>450</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="62">
        <K_NR>1015066</K_NR>
        <TH_TAGESSATZ>450</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="86">
        <K_NR>1025012</K_NR>
        <TH_TAGESSATZ>350</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="88">
        <K_NR>1025013</K_NR>
        <TH_TAGESSATZ>300</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="90">
        <K_NR>1025014</K_NR>
        <TH_TAGESSATZ>300</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="92">
        <K_NR>1025015</K_NR>
        <TH_TAGESSATZ>350</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="94">
        <K_NR>1025017</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="97">
        <K_NR>1025018</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="100">
        <K_NR>1025019</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="103">
        <K_NR>1025020</K_NR>
        <TH_TAGESSATZ>300</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="113">
        <K_NR>1025039</K_NR>
        <TH_TAGESSATZ>480</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="123">
        <K_NR>1025062</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="140">
        <K_NR>1025081</K_NR>
        <TH_TAGESSATZ>350</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="142">
        <K_NR>1025082</K_NR>
        <TH_TAGESSATZ>350</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="144">
        <K_NR>1025083</K_NR>
        <TH_TAGESSATZ>350</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="154">
        <K_NR>1040016</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="156">
        <K_NR>1040023</K_NR>
        <TH_TAGESSATZ>350</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="158">
        <K_NR>1040060</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="160">
        <K_NR>1040069</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="163">
        <K_NR>1040070</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="165">
        <K_NR>1040076</K_NR>
        <TH_TAGESSATZ>450</TH_TAGESSATZ>
      </Thema>
    </Thema-Liste>
  </Dozent>
  <Dozent D_NR="2">
    <Name>
      <D_ANREDE>Frau</D_ANREDE>
      <D_VORNAME>Susanne</D_VORNAME>
      <D_NACHNAME>Rollstein</D_NACHNAME>
    </Name>
    <Adresse>
      <D_STRASSE>Elsenpa</D_STRASSE>
      <D_HAUSNR>26</D_HAUSNR>
      <D_STADTTEIL>Lowick</D_STADTTEIL>
      <D_LAND>D</D_LAND>
      <D_PLZ>46395</D_PLZ>
      <D_STADT>Bocholt</D_STADT>
    </Adresse>
    <Thema-Liste>
      <Thema TH_NR="4">
        <K_NR>1010006</K_NR>
        <TH_TAGESSATZ>350</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="14">
        <K_NR>1010079</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="15">
        <K_NR>1010084</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="48">
        <K_NR>1015040</K_NR>
        <TH_TAGESSATZ>500</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="51">
        <K_NR>1015042</K_NR>
        <TH_TAGESSATZ>500</TH_TAGESSATZ>
      </Thema>
    </Thema-Liste>
  </Dozent>
  <Dozent D_NR="3">
    <Name>
      <D_ANREDE>Herr</D_ANREDE>
      <D_VORNAME>Martin</D_VORNAME>
      <D_NACHNAME>Dnn</D_NACHNAME>
    </Name>
    <Adresse>
      <D_STRASSE>Deichstr.</D_STRASSE>
      <D_HAUSNR>23</D_HAUSNR>
      <D_LAND>D</D_LAND>
      <D_PLZ>46414</D_PLZ>
      <D_STADT>Rhede, Westf</D_STADT>
    </Adresse>
    <Thema-Liste>
      <Thema TH_NR="17">
        <K_NR>1015025</K_NR>
        <TH_TAGESSATZ>400</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="29">
        <K_NR>1015031</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="36">
        <K_NR>1015034</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="40">
        <K_NR>1015036</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="45">
        <K_NR>1015038</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="64">
        <K_NR>1015067</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="72">
        <K_NR>1020052</K_NR>
        <TH_TAGESSATZ>380</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="81">
        <K_NR>1020058</K_NR>
        <TH_TAGESSATZ>350</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="107">
        <K_NR>1025039</K_NR>
        <TH_TAGESSATZ>500</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="117">
        <K_NR>1025051</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="120">
        <K_NR>1025061</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="125">
        <K_NR>1025063</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="128">
        <K_NR>1025071</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="131">
        <K_NR>1025072</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="134">
        <K_NR>1025073</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="151">
        <K_NR>1030073</K_NR>
        <TH_TAGESSATZ>550</TH_TAGESSATZ>
      </Thema>
    </Thema-Liste>
  </Dozent>
  <Dozent D_NR="4">
    <Name>
      <D_ANREDE>Herr</D_ANREDE>
      <D_VORNAME>Holger</D_VORNAME>
      <D_NACHNAME>Schnellschuss</D_NACHNAME>
    </Name>
    <Adresse>
      <D_STRASSE>Alte Ellinghauser Str.</D_STRASSE>
      <D_HAUSNR>23</D_HAUSNR>
      <D_STADTTEIL>Lindenhorst</D_STADTTEIL>
      <D_LAND>D</D_LAND>
      <D_PLZ>44339</D_PLZ>
      <D_STADT>Dortmund</D_STADT>
    </Adresse>
    <Thema-Liste>
      <Thema TH_NR="16">
        <K_NR>1015024</K_NR>
        <TH_TAGESSATZ>500</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="50">
        <K_NR>1015041</K_NR>
        <TH_TAGESSATZ>500</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="53">
        <K_NR>1015043</K_NR>
        <TH_TAGESSATZ>500</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="55">
        <K_NR>1015044</K_NR>
        <TH_TAGESSATZ>500</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="67">
        <K_NR>1015068</K_NR>
        <TH_TAGESSATZ>500</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="73">
        <K_NR>1020052</K_NR>
        <TH_TAGESSATZ>390</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="111">
        <K_NR>1025039</K_NR>
        <TH_TAGESSATZ>490</TH_TAGESSATZ>
      </Thema>
      <Thema TH_NR="147">
        <K_NR>1030048</K_NR>
        <TH_TAGESSATZ>450</TH_TAGESSATZ>
      </Thema>
    </Thema-Liste>
  </Dozent>
</Dozent-Liste>


1 Zeile wurde ausgewhlt.
*/