-- Objekt erstellen
CREATE OR REPLACE TYPE "Kurs_T" AS OBJECT (
  "Titel"         VARCHAR2(40),
  "Untertitel"    VARCHAR2(40),
  "Dauer"         NUMBER(5,0),
  "Nr"            VARCHAR2(30));

-- Schema aufgrund von Objekttyp abrufen
DECLARE
 v_XMLSchema1 XMLType;
 v_XMLSchema2 XMLType;
BEGIN
-- Abruf mit Standardwerten (und Annotationen)
v_XMLSchema1 := DBMS_XMLSCHEMA.generateSchema(
        schemaname   => 'SCOTT',
        typename     => 'Kurs_T' );
DBMS_OUTPUT.PUT_LINE(v_XMLSchema1.getStringVal());
-- Abruf mit eigenen Werten (ohne Annotationen)
v_XMLSchema2 := DBMS_XMLSCHEMA.generateSchema(
        schemaname   => 'SCOTT',
        typename     => 'Kurs_T',
        elementname  => 'Kurs',
        recurse      => TRUE,
        annotate     => FALSE,
        embedcoll    => FALSE);        
DBMS_OUTPUT.PUT_LINE(v_XMLSchema2.getStringVal());        
END;

-- Ergebnis
/*
<?xml version="1.0"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xdb="http://xmlns.oracle.com/xdb" xsi:schemaLocation="http://xmlns.oracle.com/xdb http://xmlns.oracle.com/xdb/XDBSchema.xsd">
 <xsd:element name="Kurs_T" type="Kurs_TType" xdb:SQLType="Kurs_T" xdb:SQLSchema="SCOTT"/>
 <xsd:complexType name="Kurs_TType" xdb:SQLType="Kurs_T" xdb:SQLSchema="SCOTT" xdb:maintainDOM="false">
  <xsd:sequence>
   <xsd:element name="Titel" xdb:SQLName="Titel" xdb:SQLType="VARCHAR2">
    <xsd:simpleType>
     <xsd:restriction base="xsd:string">
      <xsd:maxLength value="40"/>
     </xsd:restriction>
    </xsd:simpleType>
   </xsd:element>
   <xsd:element name="Untertitel" xdb:SQLName="Untertitel" xdb:SQLType="VARCHAR2">
    <xsd:simpleType>
     <xsd:restriction base="xsd:string">
      <xsd:maxLength value="40"/>
     </xsd:restriction>
    </xsd:simpleType>
   </xsd:element>
   <xsd:element name="Dauer" type="xsd:double" xdb:SQLName="Dauer" xdb:SQLType="NUMBER"/>
   <xsd:element name="Nr" xdb:SQLName="Nr" xdb:SQLType="VARCHAR2">
    <xsd:simpleType>
     <xsd:restriction base="xsd:string">
      <xsd:maxLength value="30"/>
     </xsd:restriction>
    </xsd:simpleType>
   </xsd:element>
  </xsd:sequence>
 </xsd:complexType>
</xsd:schema>

<?xml version="1.0"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xdb="http://xmlns.oracle.com/xdb" xsi:schemaLocation="http://xmlns.oracle.com/xdb http://xmlns.oracle.com/xdb/XDBSchema.xsd">
 <xsd:element name="Kurs" type="Kurs_TType"/>
 <xsd:complexType name="Kurs_TType">
  <xsd:sequence>
   <xsd:element name="Titel">
    <xsd:simpleType>
     <xsd:restriction base="xsd:string">
      <xsd:maxLength value="40"/>
     </xsd:restriction>
    </xsd:simpleType>
   </xsd:element>
   <xsd:element name="Untertitel">
    <xsd:simpleType>
     <xsd:restriction base="xsd:string">
      <xsd:maxLength value="40"/>
     </xsd:restriction>
    </xsd:simpleType>
   </xsd:element>
   <xsd:element name="Dauer" type="xsd:double"/>
   <xsd:element name="Nr">
    <xsd:simpleType>
     <xsd:restriction base="xsd:string">
      <xsd:maxLength value="30"/>
     </xsd:restriction>
    </xsd:simpleType>
   </xsd:element>
  </xsd:sequence>
 </xsd:complexType>
</xsd:schema>
*/

  

  

