BEGIN
 -- Schema aufgrund von XMLType registrieren
 DBMS_XMLSCHEMA.registerSchema(
  schemaurl => 'http://www.kurse-nrw.de/kurs.xsd',
  schemadoc => XMLType('<?xml version="1.0"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xdb="http://xmlns.oracle.com/xdb" xsi:schemaLocation="http://xmlns.oracle.com/xdb http://xmlns.oracle.com/xdb/XDBSchema.xsd">
 <xsd:element name="Kurs_T" type="Kurs_TType" xdb:SQLType="Kurs_T" xdb:SQLSchema="SCOTT"/>
 <xsd:complexType name="Kurs_TType" xdb:SQLType="Kurs_T" xdb:SQLSchema="SCOTT" xdb:maintainDOM="false">
  <xsd:sequence>
   <xsd:element name="Titel" xdb:SQLName="Titel" xdb:SQLType="VARCHAR2">
    <xsd:simpleType>
     <xsd:restriction base="xsd:string">
      <xsd:maxLength value="40"/>
     </xsd:restriction>
    </xsd:simpleType>
   </xsd:element>
   <xsd:element name="Untertitel" xdb:SQLName="Untertitel" xdb:SQLType="VARCHAR2">
    <xsd:simpleType>
     <xsd:restriction base="xsd:string">
      <xsd:maxLength value="40"/>
     </xsd:restriction>
    </xsd:simpleType>
   </xsd:element>
   <xsd:element name="Dauer" type="xsd:double" xdb:SQLName="Dauer" xdb:SQLType="NUMBER"/>
   <xsd:element name="Nr" xdb:SQLName="Nr" xdb:SQLType="VARCHAR2">
    <xsd:simpleType>
     <xsd:restriction base="xsd:string">
      <xsd:maxLength value="30"/>
     </xsd:restriction>
    </xsd:simpleType>
   </xsd:element>
  </xsd:sequence>
 </xsd:complexType>
</xsd:schema>'),
 local  => TRUE, 
 gentypes => TRUE, 
 genbean => FALSE,
 force => FALSE,
 owner  => 'SCOTT',
 enablehierarchy  => DBMS_XMLSCHEMA.ENABLE_HIERARCHY_CONTENTS);

-- Schema lschen mit allen erzeugten Objekten
DBMS_XMLSCHEMA.DELETESCHEMA(
 schemaurl     => 'http://www.kurse-nrw.de/kurs.xsd',
 delete_option => DBMS_XMLSCHEMA.DELETE_CASCADE);      
END;

-- Ergebnis
/*

CREATE OR REPLACE TYPE "SCOTT"."Kurs_T" AS OBJECT (
 "Titel" VARCHAR2(40 CHAR),
 "Untertitel" VARCHAR2(40 CHAR),
 "Dauer" NUMBER,
 "Nr" VARCHAR2(30 CHAR))NOT FINAL INSTANTIABLE;

*/

  

  

