BEGIN
 -- Schema aufgrund von XMLType registrieren
 DBMS_XMLSCHEMA.registerSchema(
  schemaurl => 'http://www.kurse-nrw.de/dozent.xsd',
  schemadoc => XMLType('<?xml version="1.0"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xdb="http://xmlns.oracle.com/xdb" xsi:schemaLocation="http://xmlns.oracle.com/xdb http://xmlns.oracle.com/xdb/XDBSchema.xsd">
  <xsd:element name="DOZENT" type="DOZENT_TType" xdb:SQLType="DOZENT_T" xdb:SQLSchema="SCOTT"/>
  <xsd:complexType name="DOZENT_TType" xdb:SQLType="DOZENT_T" xdb:SQLSchema="SCOTT" xdb:maintainDOM="false">
    <xsd:sequence>
      <xsd:element name="Nr" type="xsd:double" xdb:SQLName="Nr" xdb:SQLType="NUMBER"/>
      <xsd:element name="Vorname" xdb:SQLName="Vorname" xdb:SQLType="VARCHAR2">
        <xsd:simpleType>
          <xsd:restriction base="xsd:string">
            <xsd:maxLength value="80"/>
          </xsd:restriction>
        </xsd:simpleType>
      </xsd:element>
      <xsd:element name="Nachname" xdb:SQLName="Nachname" xdb:SQLType="VARCHAR2">
        <xsd:simpleType>
          <xsd:restriction base="xsd:string">
            <xsd:maxLength value="120"/>
          </xsd:restriction>
        </xsd:simpleType>
      </xsd:element>
      <xsd:element name="Kursliste" type="THEMA_TType" xdb:SQLName="Kursliste" xdb:SQLSchema="SCOTT" xdb:SQLType="THEMA_T"/>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="THEMA_TType" xdb:SQLType="THEMA_T" xdb:SQLSchema="SCOTT" xdb:maintainDOM="false">
    <xsd:sequence>
      <xsd:element name="Thema" type="THEMAKINDER_TType" minOccurs="0" maxOccurs="unbounded" xdb:SQLName="Thema" xdb:SQLCollType="THEMA_C" xdb:SQLType="THEMAKINDER_T" xdb:SQLSchema="SCOTT" xdb:SQLCollSchema="SCOTT"/>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="THEMAKINDER_TType" xdb:SQLType="THEMAKINDER_T" xdb:SQLSchema="SCOTT" xdb:maintainDOM="false">
    <xsd:sequence>
      <xsd:element name="Nr" type="xsd:double" xdb:SQLName="Nr" xdb:SQLType="NUMBER"/>
      <xsd:element name="Titel" xdb:SQLName="Titel" xdb:SQLType="VARCHAR2">
        <xsd:simpleType>
          <xsd:restriction base="xsd:string">
            <xsd:maxLength value="120"/>
          </xsd:restriction>
        </xsd:simpleType>
      </xsd:element>
      <xsd:element name="Untertitel" xdb:SQLName="Untertitel" xdb:SQLType="VARCHAR2">
        <xsd:simpleType>
          <xsd:restriction base="xsd:string">
            <xsd:maxLength value="160"/>
          </xsd:restriction>
        </xsd:simpleType>
      </xsd:element>
    </xsd:sequence>
  </xsd:complexType>
</xsd:schema>'));

-- Schema lschen mit allen erzeugten Objekten
/*
BEGIN
DBMS_XMLSCHEMA.DELETESCHEMA(
 schemaurl     => 'http://www.kurse-nrw.de/dozent.xsd',
 delete_option => DBMS_XMLSCHEMA.DELETE_CASCADE);
END;
 */
END;

