-- Speicherung in Eltern-/Kind-Tabelle
CREATE TABLE Dozent_Tabelle 
  OF XMLType (UNIQUE ("XMLDATA"."Nr"),
              FOREIGN KEY ("XMLDATA"."Nr") REFERENCES Dozent (D_Nr))
ELEMENT   
  "http://www.kurse-nrw.de/dozent.xsd#Dozent" 
  VARRAY "XMLDATA"."Kursliste"."Thema"
 STORE AS TABLE Thema_Tabelle 
                   ((PRIMARY KEY (NESTED_TABLE_ID, SYS_NC_ARRAY_INDEX$))
                   ORGANIZATION INDEX OVERFLOW)
-- Test
DECLARE
 v_XML1  XMLType := XMLType('<Dozent><Nr>20</Nr><Vorname>Anton</Vorname><Nachname>Ebenhof</Nachname><Kursliste><Thema><Nr>1015067</Nr><Titel>Java</Titel><Untertitel>Kochrezepte</Untertitel></Thema><Thema><Nr>1030073</Nr><Titel>Java</Titel><Untertitel>Java fr Oracle</Untertitel></Thema><Thema><Nr>1015025</Nr><Titel>JavaScript</Titel><Untertitel>Syntax + Konzepte</Untertitel></Thema><Thema><Nr>1025051</Nr><Titel>Oracle</Titel><Untertitel>Architektur</Untertitel></Thema><Thema><Nr>1025063</Nr><Titel>Oracle</Titel><Untertitel>PL/SQL-Programmierung</Untertitel></Thema><Thema><Nr>1025061</Nr><Titel>Oracle</Titel><Untertitel>XML-Konzepte</Untertitel></Thema><Thema><Nr>1025071</Nr><Titel>Oracle</Titel><Untertitel>Designer R6i + Developer 6i</Untertitel></Thema><Thema><Nr>1025072</Nr><Titel>Oracle</Titel><Untertitel>Networking</Untertitel></Thema><Thema><Nr>1025073</Nr><Titel>Oracle</Titel><Untertitel>DB-Administration</Untertitel></Thema><Thema><Nr>1025039</Nr><Titel>SQL</Titel><Untertitel>DDL, DML + DCL</Untertitel></Thema><Thema><Nr>1020058</Nr><Titel>XML</Titel><Untertitel>Syntax</Untertitel></Thema><Thema><Nr>1015033</Nr><Titel>C sharp</Titel><Untertitel>Syntax + Konzepte</Untertitel></Thema><Thema><Nr>1015027</Nr><Titel>C++</Titel><Untertitel>Syntax + Konzepte</Untertitel></Thema><Thema><Nr>1015028</Nr><Titel>C++</Titel><Untertitel>MFC (Windows-Programmierung)</Untertitel></Thema><Thema><Nr>1015029</Nr><Titel>C++</Titel><Untertitel>Multithreading</Untertitel></Thema><Thema><Nr>1015032</Nr><Titel>C++</Titel><Untertitel>COM/ATL</Untertitel></Thema><Thema><Nr>1015031</Nr><Titel>Java</Titel><Untertitel>Designpatterns</Untertitel></Thema><Thema><Nr>1015034</Nr><Titel>Java</Titel><Untertitel>Syntax + Konzepte</Untertitel></Thema><Thema><Nr>1015036</Nr><Titel>Java</Titel><Untertitel>Servlets</Untertitel></Thema><Thema><Nr>1015038</Nr><Titel>Java</Titel><Untertitel>Enterprise Java Beans</Untertitel></Thema></Kursliste></Dozent>');
 v_XML2 XMLType;
BEGIN
 -- Eintragen
 DELETE FROM Dozent_Tabelle;
 INSERT INTO Dozent_Tabelle VALUES (v_XML1);
 -- Abruf
 SELECT SYS_NC_ROWINFO$ INTO v_XML2 FROM Dozent_Tabelle;
 DBMS_OUTPUT.PUT_LINE(v_XML2.getStringVal());
END;

/*SELECT  XMLElement("Dozent", 
        XMLForest(dozent.D_Nr AS "Nr",
                  D_Vorname AS  "Vorname",
                  D_Nachname AS "Nachname"),
        XMLElement("Kursliste",
         (SELECT XMLAgg(
                  XMLElement("Thema",
                   XMLForest(k2.K_Nr AS "Nr",
                            K_Titel AS "Titel",
                            K_Untertitel AS "Untertitel")))
             FROM kurs k2 INNER JOIN themenverteilung t2
               ON k2.K_Nr = t2.K_Nr
             WHERE t1.D_Nr = t2.D_Nr))) AS XML
  FROM dozent INNER JOIN themenverteilung t1
    ON dozent.D_Nr = t1.D_Nr
       INNER JOIN kurs  k1
    ON k1.K_Nr = t1.K_Nr
WHERE t1.D_Nr = 20;*/


  

-- Speicherung als LOB
CREATE TABLE Dozent_Tabelle 
  OF XMLType (UNIQUE ("XMLDATA"."Nr"),
              FOREIGN KEY ("XMLDATA"."Nr") REFERENCES Dozent (D_Nr))
ELEMENT   
  "http://www.kurse-nrw.de/dozent.xsd#Dozent"   
  LOB ("XMLDATA"."Kursliste")
    STORE AS (TABLESPACE USERS ENABLE STORAGE IN ROW 
              STORAGE(INITIAL 4K NEXT 32K));
