DECLARE
 -- Ordner
 ordner boolean;
BEGIN
 -- Ordner anlegen
 ordner := dbms_xdb.createfolder('/public/dozenten');
 COMMIT;
END;
/
DECLARE
 ressource boolean;
BEGIN
 -- Lege Ressource an
 ressource := dbms_xdb.createresource('/public/dozenten/doz_Ebenhof.xml','<doz_name>Ebenhof</doz_name>');
COMMIT;
END;
/

-- Setze Standard-Rechte
call dbms_xdb.setacl('/public/dozenten/doz_Ebenhof.xml','/sys/acls/all_owner_acl.xml');
COMMIT;

-- Lies Rechte
SELECT dbms_xdb.getacldocument('/public/dozenten/doz_Ebenhof.xml')
  FROM dual;

DECLARE
 r pls_integer; -- Rckgabewert
 ace xmltype;   -- ace-Rechte-XML-Struktur
 ace_data varchar2(2000); -- ace-Rechte-Text
BEGIN
 -- Erstelle ace-Text-Struktur
 ace_data := 
  '<acl xmlns="http://xmlns.oracle.com/xdb/acl.xsd"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://xmlns.oracle.com/xdb/acl.xsd
               http://xmlns.oracle.com/xdb/acl.xsd
   DAV:http://xmlns.oracle.com/xdb/dav.xsd">
   <principal>SCOTT</principal>
   <grant>true</grant>
   <privilege>
    <all/>
   </privilege>
   </acl>';
 -- Erstelle XMLType von Rechte-Text
 ace := xmltype.createxml(ace_data);
 -- Weise Rechte ber XML zu
 r := dbms_xdb.changeprivileges('/public/dozenten/doz_Ebenhof.xml', ace);
 -- Gebe Rckgabewert aus
 dbms_output.put_line('retval = ' || r);
COMMIT;
END;
/

-- Lies ace-Dokument
SELECT dbms_xdb.getacldocument('/public/dozenten/doz_Ebenhof.xml')
FROM dual;

-- Lies Privilegien
SELECT dbms_xdb.getprivileges('/public/dozenten/doz_Ebenhof.xml')
  FROM dual;

-- Lsche Ressourcen
call dbms_xdb.deleteresource('/public/dozenten/doz_Ebenhof.xml');
call dbms_xdb.deleteresource('/public/dozenten');
COMMIT;
