-- Lschen
DELETE FROM termin_d;
-- Eintragen
INSERT INTO termin_d 
VALUES(1015024, XMLType('<Terminliste>
 <Termin Nr="405">
  <Beginn>2003-03-12</Beginn>
  <Ende>2003-03-14</Ende>
 </Termin>
 <Termin Nr="411">
   <Beginn>2003-03-25</Beginn>
   <Ende>2003-03-27</Ende>
   <Kurs>1015024</Kurs>
 </Termin>
 </Terminliste>'));
-- Einfgen von Element Kurs (an einer Stelle)
UPDATE termin_d
  SET t_xml = insertChildXML(t_xml, 
                             '//Termin[@Nr = 405]',
                             'Kurs',
                              XMLType('<Kurs>1015024</Kurs>'));
-- Einfgen von Element Ort (an allen Stellen)
UPDATE termin_d
  SET t_xml = appendChildXML(t_xml,
                             '//Termin',
                             XMLType('<Ort>Dsseldorf</Ort>'));
-- Einfgen von Element Themen vor Element Kurs
UPDATE termin_d
  SET t_xml = insertXMLbefore(t_xml,
                             '//Termin/Ort',
                             (SELECT XMLElement("Themen", K_Themen)
                                FROM kurs WHERE K_Nr = termin_d.T_KNr));
-- Testen
SELECT t_XML FROM termin_d WHERE T_KNr = 1015024;
-- Zwischenergebnis
/*
<Terminliste>
	<Termin Nr="405">
		<Beginn>2003-03-12</Beginn>
		<Ende>2003-03-14</Ende>
		<Kurs>1015024</Kurs>
		<Themen>A. Installation B. Grundlagen D. Arrays, Bedingungen, Schleifen D. Zeichenketten E. Funktionen und mathematische Funktionen F. Mit Dateien arbeiten G. Netzwerk H. Fehlerbehandlung I. FTP J. Datum / Zeit K. Text- / Grafikausgabe L. Formulare M. Datenbanktheorie N. Grundlagen SQL, MySQL O. Projekt </Themen>
		<Ort>Dsseldorf</Ort>
	</Termin>
	<Termin Nr="411">
		<Beginn>2003-03-25</Beginn>
		<Ende>2003-03-27</Ende>
		<Kurs>1015024</Kurs>
		<Themen>A. Installation B. Grundlagen D. Arrays, Bedingungen, Schleifen D. Zeichenketten E. Funktionen und mathematische Funktionen F. Mit Dateien arbeiten G. Netzwerk H. Fehlerbehandlung I. FTP J. Datum / Zeit K. Text- / Grafikausgabe L. Formulare M. Datenbanktheorie N. Grundlagen SQL, MySQL O. Projekt </Themen>
		<Ort>Dsseldorf</Ort>
	</Termin>
</Terminliste>
*/
UPDATE termin_d
  SET t_xml = deleteXML(t_xml, '//Termin/child::*[preceding-sibling::*[local-name() = ''Kurs'']]');
-- Testen
SELECT t_XML FROM termin_d WHERE T_KNr = 1015024;  