SET SERVEROUTPUT ON;
DECLARE
 Ctx    DBMS_XMLGEN.ctxType; 
 v_xml  XMLType;
BEGIN
 -- Abfrage ausfhren mit DBMS_XMLGEN (zum Vergleich)
 -- Abfrage absenden
 Ctx := DBMS_XMLGEN.newContext('SELECT * 
                                   FROM termin
                                  WHERE T_Nr < 5');
 -- Ergebnisformat
 -- ReihenTag / Standard: ROW
 DBMS_XMLGEN.setRowTag(Ctx, 'Termin'); 
 -- DatenmengeTag / Standard: ROWSET
 DBMS_XMLGEN.setRowSetTag(Ctx, 'Terminuebersicht'); 
 -- Abholen der Abfrage 
 v_xml := XMLType.createXML(DBMS_XMLGEN.getXML(Ctx));
 -- Schlieen des Kontextes
 DBMS_XMLGEN.closeContext(Ctx);
 -- Testausgabe
 DBMS_OUTPUT.PUT_LINE(v_XML.getStringVal());
/* 
<?xml version="1.0"?>
<Terminuebersicht>
 <Termin>
  <T_NR>1</T_NR>
  <K_NR>1015036</K_NR>
  <T_BEGINN>18.02.00</T_BEGINN>
  <T_ENDE>20.02.00</T_ENDE>
  <T_ORT>Bochum</T_ORT>
 </Termin>
 <Termin>
  <T_NR>2</T_NR>
  <K_NR>1020053</K_NR>
  <T_BEGINN>18.02.00</T_BEGINN>
  <T_ENDE>20.02.00</T_ENDE>
  <T_ORT>Bochum</T_ORT>
 </Termin>
 <Termin>
  <T_NR>3</T_NR>
  <K_NR>1015036</K_NR>
  <T_BEGINN>18.02.00</T_BEGINN>
  <T_ENDE>20.02.00</T_ENDE>
  <T_ORT>Bochum</T_ORT>
 </Termin>
 <Termin>
  <T_NR>4</T_NR>
  <K_NR>1020053</K_NR>
  <T_BEGINN>18.02.00</T_BEGINN>
  <T_ENDE>20.02.00</T_ENDE>
  <T_ORT>Bochum</T_ORT>
 </Termin>
</Terminuebersicht>
 */
END;
