DECLARE 
 servlet_name VARCHAR2(32) := 'orawsv';
BEGIN 
 -- Aktuelle Einstellungen und Servlet lschen
 DBMS_XDB.deleteServletMapping(servlet_name);
 DBMS_XDB.deleteServlet(servlet_name);
 -- (Standard-)Servlet hinzufgen
 DBMS_XDB.addServlet(
   name     => servlet_name, 
   language => 'C',                  
   dispname => 'Webservice-Standard-Servlet',
   descript => 'Servlet fr die Verarbeitung von Webservice-Anfragen',
   schema   => 'XDB');
 -- Sicherheitseinstellungen vorgeben
 DBMS_XDB.addServletSecRole(
   servname => servlet_name, 
   rolename => 'XDB_WEBSERVICES', 
   rolelink => 'XDB_WEBSERVICES');
 -- URL-Pfad im Server vorgeben
 DBMS_XDB.addServletMapping(
   pattern => '/orawsv/*',
   name    => servlet_name);
END;

-- Berechtigungen erteilen
GRANT XDB_WEBSERVICES TO SCOTT;
GRANT XDB_WEBSERVICES_OVER_HTTP TO SCOTT;
GRANT XDB_WEBSERVICES_WITH_PUBLIC TO SCOTT;
 
-- Ergebnis
/*
<servlet xmlns="http://xmlns.oracle.com/xdb/xdbconfig.xsd">
 <servlet-name>orawsv</servlet-name>
 <servlet-language>C</servlet-language>
 <display-name>Webservice-Standard-Servlet</display-name>
 <description>Servlet fr die Verarbeitung von Webservice-Anfragen</description>
 <servlet-schema>XDB</servlet-schema>
 <security-role-ref>
   <description/>
   <role-name>XDB_WEBSERVICES</role-name>
   <role-link>XDB_WEBSERVICES</role-link>
 </security-role-ref>
</servlet>
 */