CREATE OR REPLACE PACKAGE UmsatzRechner AUTHID CURRENT_USER AS
  FUNCTION TerminUmsatz (Terminnummer   IN   NUMBER,
                         Umsatz         OUT  DOUBLE,
                         Durchschnitt   OUT  NUMBER)
  RETURN NUMBER;
END UmsatzRechner;
/
CREATE OR REPLACE PACKAGE BODY UmsatzRechner AS
  FUNCTION TerminUmsatz (Terminnummer   IN   NUMBER,
                         Umsatz         OUT  DOUBLE,
                         Durchschnitt   OUT  NUMBER)
  RETURN NUMBER
  IS
    Teilnehmeranzahl NUMBER;
  BEGIN
    -- Gesamtumsatz fr Termin
    SELECT SUM(B_Preis)
      INTO Umsatz
      FROM buchung
     WHERE T_NR = Terminnummer;
    -- Durchschnitts(rabatt)preis pro Teilnehmer 
    SELECT AVG(B_Preis)
      INTO Durchschnitt
      FROM buchung
     WHERE T_NR = Terminnummer;
    -- Anzahl der Teilnehmer
    SELECT COUNT(*)
      INTO Teilnehmeranzahl
      FROM buchung
     WHERE T_NR = Terminnummer;
    -- Rckgabewert
    RETURN Teilnehmeranzahl;
  END TerminUmsatz;
END UmsatzRechner; 