SET LONG 200000;
SELECT XMLELEMENT("Kurs", XMLATTRIBUTES(kurs.K_Nr AS "Nr"),
         XMLELEMENT("Titel", K_Titel || ' ' || K_Untertitel),
           XMLELEMENT ("Termine",
            (SELECT XMLAGG(XMLELEMENT("Termin", XMLATTRIBUTES(b.T_Nr AS
                                                "Nr"),
               XMLFOREST(T_Beginn AS "Beginn",
                         T_Ende   AS "Ende",
                         T_Ort    AS "Ort")))
           FROM termin b
          WHERE b.K_Nr = a.K_Nr ))) AS XML
  FROM kurs INNER JOIN termin a
    ON kurs.K_Nr = a.K_Nr
 WHERE K_Titel IN ('Oracle', 'Java')
   AND T_Beginn < '31.12.2002';

-- Ergebnis
/*

XML

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025072">
  <Titel>Oracle Networking</Titel>
  <Termine>
    <Termin Nr="586">
      <Beginn>22.09.03</Beginn>
      <Ende>25.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="600">
      <Beginn>06.10.03</Beginn>
      <Ende>09.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="607">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="608">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1030073">
  <Titel>Java Java fr Oracle</Titel>
  <Termine>
    <Termin Nr="599">
      <Beginn>06.10.03</Beginn>
      <Ende>09.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="614">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="636">
      <Beginn>24.11.03</Beginn>
      <Ende>27.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="637">
      <Beginn>24.11.03</Beginn>
      <Ende>27.11.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025072">
  <Titel>Oracle Networking</Titel>
  <Termine>
    <Termin Nr="586">
      <Beginn>22.09.03</Beginn>
      <Ende>25.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="600">
      <Beginn>06.10.03</Beginn>
      <Ende>09.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="607">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="608">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015091">
  <Titel>Java Datenbankprogrammierung</Titel>
  <Termine>
    <Termin Nr="605">
      <Beginn>10.10.03</Beginn>
      <Ende>12.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="646">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="647">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="425">
      <Beginn>07.04.03</Beginn>
      <Ende>09.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="469">
      <Beginn>08.05.03</Beginn>
      <Ende>10.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025072">
  <Titel>Oracle Networking</Titel>
  <Termine>
    <Termin Nr="586">
      <Beginn>22.09.03</Beginn>
      <Ende>25.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="600">
      <Beginn>06.10.03</Beginn>
      <Ende>09.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="607">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="608">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025072">
  <Titel>Oracle Networking</Titel>
  <Termine>
    <Termin Nr="586">
      <Beginn>22.09.03</Beginn>
      <Ende>25.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="600">
      <Beginn>06.10.03</Beginn>
      <Ende>09.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="607">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="608">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015067">
  <Titel>Java Kochrezepte</Titel>
  <Termine>
    <Termin Nr="610">
      <Beginn>14.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="612">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="613">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="126">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="201">
      <Beginn>14.10.01</Beginn>
      <Ende>17.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="331">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="332">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="520">
      <Beginn>01.07.03</Beginn>
      <Ende>04.07.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="567">
      <Beginn>01.09.03</Beginn>
      <Ende>04.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">

XML

      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015067">
  <Titel>Java Kochrezepte</Titel>
  <Termine>
    <Termin Nr="610">
      <Beginn>14.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="612">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="613">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="126">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="201">
      <Beginn>14.10.01</Beginn>
      <Ende>17.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="331">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="332">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="520">
      <Beginn>01.07.03</Beginn>
      <Ende>04.07.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="567">
      <Beginn>01.09.03</Beginn>
      <Ende>04.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015067">
  <Titel>Java Kochrezepte</Titel>
  <Termine>
    <Termin Nr="610">
      <Beginn>14.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="612">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="613">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="126">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="201">
      <Beginn>14.10.01</Beginn>
      <Ende>17.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="331">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="332">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="520">
      <Beginn>01.07.03</Beginn>
      <Ende>04.07.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="567">
      <Beginn>01.09.03</Beginn>
      <Ende>04.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1030073">
  <Titel>Java Java fr Oracle</Titel>
  <Termine>
    <Termin Nr="599">
      <Beginn>06.10.03</Beginn>
      <Ende>09.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="614">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="636">
      <Beginn>24.11.03</Beginn>
      <Ende>27.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="637">
      <Beginn>24.11.03</Beginn>
      <Ende>27.11.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015093">
  <Titel>Java Java Server Pages (JSP)</Titel>
  <Termine>
    <Termin Nr="615">
      <Beginn>20.10.03</Beginn>
      <Ende>22.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="619">
      <Beginn>27.10.03</Beginn>
      <Ende>29.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="640">
      <Beginn>26.11.03</Beginn>
      <Ende>28.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="125">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="414">
      <Beginn>26.03.03</Beginn>
      <Ende>28.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015093">
  <Titel>Java Java Server Pages (JSP)</Titel>
  <Termine>
    <Termin Nr="615">
      <Beginn>20.10.03</Beginn>
      <Ende>22.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="619">
      <Beginn>27.10.03</Beginn>
      <Ende>29.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="640">
      <Beginn>26.11.03</Beginn>
      <Ende>28.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="125">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="414">
      <Beginn>26.03.03</Beginn>
      <Ende>28.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015099">
  <Titel>Java Netzwerke + Sockets</Titel>
  <Termine>
    <Termin Nr="631">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="648">
      <Beginn>08.12.03</Beginn>
      <Ende>10.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1030073">
  <Titel>Java Java fr Oracle</Titel>
  <Termine>
    <Termin Nr="599">
      <Beginn>06.10.03</Beginn>
      <Ende>09.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="614">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="636">
      <Beginn>24.11.03</Beginn>
      <Ende>27.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="637">
      <Beginn>24.11.03</Beginn>
      <Ende>27.11.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1030073">
  <Titel>Java Java fr Oracle</Titel>
  <Termine>
    <Termin Nr="599">
      <Beginn>06.10.03</Beginn>
      <Ende>09.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="614">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="636">
      <Beginn>24.11.03</Beginn>
      <Ende>27.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="637">
      <Beginn>24.11.03</Beginn>
      <Ende>27.11.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015093">
  <Titel>Java Java Server Pages (JSP)</Titel>
  <Termine>
    <Termin Nr="615">
      <Beginn>20.10.03</Beginn>
      <Ende>22.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="619">
      <Beginn>27.10.03</Beginn>
      <Ende>29.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="640">
      <Beginn>26.11.03</Beginn>
      <Ende>28.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="125">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="414">
      <Beginn>26.03.03</Beginn>
      <Ende>28.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>

XML

      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015091">
  <Titel>Java Datenbankprogrammierung</Titel>
  <Termine>
    <Termin Nr="605">
      <Beginn>10.10.03</Beginn>
      <Ende>12.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="646">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="647">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="425">
      <Beginn>07.04.03</Beginn>
      <Ende>09.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="469">
      <Beginn>08.05.03</Beginn>
      <Ende>10.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015091">
  <Titel>Java Datenbankprogrammierung</Titel>
  <Termine>
    <Termin Nr="605">
      <Beginn>10.10.03</Beginn>
      <Ende>12.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="646">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="647">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="425">
      <Beginn>07.04.03</Beginn>
      <Ende>09.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="469">
      <Beginn>08.05.03</Beginn>
      <Ende>10.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015099">
  <Titel>Java Netzwerke + Sockets</Titel>
  <Termine>
    <Termin Nr="631">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="648">
      <Beginn>08.12.03</Beginn>
      <Ende>10.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>

XML

    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025061">
  <Titel>Oracle XML-Konzepte</Titel>
  <Termine>
    <Termin Nr="60">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="186">
      <Beginn>16.08.01</Beginn>
      <Ende>18.08.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="301">
      <Beginn>16.08.02</Beginn>
      <Ende>18.08.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="406">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="407">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="497">
      <Beginn>10.06.03</Beginn>
      <Ende>12.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="516">
      <Beginn>27.06.03</Beginn>
      <Ende>29.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="525">
      <Beginn>07.07.03</Beginn>
      <Ende>09.07.03</Ende>

XML

      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="551">
      <Beginn>14.08.03</Beginn>
      <Ende>16.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015093">
  <Titel>Java Java Server Pages (JSP)</Titel>
  <Termine>
    <Termin Nr="615">
      <Beginn>20.10.03</Beginn>

XML

      <Ende>22.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="619">
      <Beginn>27.10.03</Beginn>
      <Ende>29.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="640">
      <Beginn>26.11.03</Beginn>
      <Ende>28.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="125">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="414">
      <Beginn>26.03.03</Beginn>
      <Ende>28.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015067">
  <Titel>Java Kochrezepte</Titel>
  <Termine>
    <Termin Nr="610">
      <Beginn>14.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="612">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="613">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="126">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="201">
      <Beginn>14.10.01</Beginn>
      <Ende>17.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="331">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="332">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="520">
      <Beginn>01.07.03</Beginn>
      <Ende>04.07.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="567">
      <Beginn>01.09.03</Beginn>
      <Ende>04.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>


XML

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025061">
  <Titel>Oracle XML-Konzepte</Titel>
  <Termine>
    <Termin Nr="60">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="186">
      <Beginn>16.08.01</Beginn>
      <Ende>18.08.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="301">
      <Beginn>16.08.02</Beginn>
      <Ende>18.08.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="406">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="407">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="497">
      <Beginn>10.06.03</Beginn>
      <Ende>12.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="516">
      <Beginn>27.06.03</Beginn>
      <Ende>29.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="525">
      <Beginn>07.07.03</Beginn>
      <Ende>09.07.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="551">
      <Beginn>14.08.03</Beginn>
      <Ende>16.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>

XML

    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015067">
  <Titel>Java Kochrezepte</Titel>
  <Termine>
    <Termin Nr="610">
      <Beginn>14.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="612">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="613">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="126">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="201">
      <Beginn>14.10.01</Beginn>
      <Ende>17.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="331">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="332">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="520">
      <Beginn>01.07.03</Beginn>
      <Ende>04.07.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="567">
      <Beginn>01.09.03</Beginn>
      <Ende>04.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>

XML

  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>

XML

      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">

XML

      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025061">
  <Titel>Oracle XML-Konzepte</Titel>
  <Termine>
    <Termin Nr="60">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="186">
      <Beginn>16.08.01</Beginn>
      <Ende>18.08.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="301">
      <Beginn>16.08.02</Beginn>
      <Ende>18.08.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="406">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="407">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="497">
      <Beginn>10.06.03</Beginn>
      <Ende>12.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="516">
      <Beginn>27.06.03</Beginn>
      <Ende>29.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="525">
      <Beginn>07.07.03</Beginn>
      <Ende>09.07.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="551">
      <Beginn>14.08.03</Beginn>
      <Ende>16.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">
      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015067">
  <Titel>Java Kochrezepte</Titel>
  <Termine>
    <Termin Nr="610">
      <Beginn>14.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="612">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="613">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="126">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="201">
      <Beginn>14.10.01</Beginn>
      <Ende>17.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="331">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="332">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="520">
      <Beginn>01.07.03</Beginn>
      <Ende>04.07.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="567">
      <Beginn>01.09.03</Beginn>
      <Ende>04.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015067">
  <Titel>Java Kochrezepte</Titel>
  <Termine>
    <Termin Nr="610">
      <Beginn>14.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="612">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="613">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="126">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="201">
      <Beginn>14.10.01</Beginn>
      <Ende>17.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="331">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="332">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="520">
      <Beginn>01.07.03</Beginn>
      <Ende>04.07.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="567">
      <Beginn>01.09.03</Beginn>
      <Ende>04.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>

XML

      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>

XML

      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>

XML

  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015031">
  <Titel>Java Designpatterns</Titel>
  <Termine>
    <Termin Nr="642">
      <Beginn>01.12.03</Beginn>
      <Ende>03.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="651">
      <Beginn>15.12.03</Beginn>
      <Ende>17.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="11">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="13">
      <Beginn>25.02.00</Beginn>
      <Ende>27.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="148">
      <Beginn>25.02.01</Beginn>
      <Ende>27.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="224">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="226">
      <Beginn>25.02.02</Beginn>
      <Ende>27.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="389">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="390">
      <Beginn>24.02.03</Beginn>
      <Ende>26.02.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="392">
      <Beginn>25.02.03</Beginn>
      <Ende>27.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025073">
  <Titel>Oracle DB-Administration</Titel>
  <Termine>
    <Termin Nr="602">
      <Beginn>07.10.03</Beginn>
      <Ende>10.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="609">

XML

      <Beginn>13.10.03</Beginn>
      <Ende>16.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="626">
      <Beginn>10.11.03</Beginn>
      <Ende>13.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="627">
      <Beginn>10.11.03</Beginn>
      <Ende>13.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="644">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="645">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="113">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="114">
      <Beginn>07.10.00</Beginn>
      <Ende>10.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="199">
      <Beginn>07.10.01</Beginn>
      <Ende>10.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="327">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="328">
      <Beginn>07.10.02</Beginn>
      <Ende>10.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="401">
      <Beginn>10.03.03</Beginn>
      <Ende>13.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025061">
  <Titel>Oracle XML-Konzepte</Titel>
  <Termine>
    <Termin Nr="60">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="186">
      <Beginn>16.08.01</Beginn>
      <Ende>18.08.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="301">
      <Beginn>16.08.02</Beginn>
      <Ende>18.08.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="406">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="407">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="497">
      <Beginn>10.06.03</Beginn>
      <Ende>12.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="516">
      <Beginn>27.06.03</Beginn>
      <Ende>29.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="525">
      <Beginn>07.07.03</Beginn>
      <Ende>09.07.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="551">
      <Beginn>14.08.03</Beginn>
      <Ende>16.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025061">
  <Titel>Oracle XML-Konzepte</Titel>
  <Termine>
    <Termin Nr="60">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="186">
      <Beginn>16.08.01</Beginn>
      <Ende>18.08.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="301">
      <Beginn>16.08.02</Beginn>
      <Ende>18.08.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="406">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="407">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="497">
      <Beginn>10.06.03</Beginn>
      <Ende>12.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="516">
      <Beginn>27.06.03</Beginn>
      <Ende>29.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="525">
      <Beginn>07.07.03</Beginn>
      <Ende>09.07.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="551">
      <Beginn>14.08.03</Beginn>
      <Ende>16.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015093">
  <Titel>Java Java Server Pages (JSP)</Titel>
  <Termine>
    <Termin Nr="615">
      <Beginn>20.10.03</Beginn>
      <Ende>22.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="619">
      <Beginn>27.10.03</Beginn>
      <Ende>29.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="640">
      <Beginn>26.11.03</Beginn>
      <Ende>28.11.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="125">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="414">
      <Beginn>26.03.03</Beginn>
      <Ende>28.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015091">
  <Titel>Java Datenbankprogrammierung</Titel>
  <Termine>
    <Termin Nr="605">
      <Beginn>10.10.03</Beginn>
      <Ende>12.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="646">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="647">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="425">
      <Beginn>07.04.03</Beginn>
      <Ende>09.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="469">
      <Beginn>08.05.03</Beginn>
      <Ende>10.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>

XML

      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015038">
  <Titel>Java Enterprise Java Beans</Titel>
  <Termine>
    <Termin Nr="462">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="490">
      <Beginn>02.06.03</Beginn>
      <Ende>04.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="512">
      <Beginn>23.06.03</Beginn>
      <Ende>25.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="560">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="561">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015091">
  <Titel>Java Datenbankprogrammierung</Titel>
  <Termine>
    <Termin Nr="605">
      <Beginn>10.10.03</Beginn>
      <Ende>12.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="646">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="647">
      <Beginn>08.12.03</Beginn>
      <Ende>11.12.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="425">
      <Beginn>07.04.03</Beginn>
      <Ende>09.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="469">
      <Beginn>08.05.03</Beginn>
      <Ende>10.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">

XML

      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025063">
  <Titel>Oracle PL/SQL-Programmierung</Titel>
  <Termine>
    <Termin Nr="630">
      <Beginn>17.11.03</Beginn>
      <Ende>19.11.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="147">
      <Beginn>21.02.01</Beginn>
      <Ende>23.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="172">
      <Beginn>27.05.01</Beginn>
      <Ende>29.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="273">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="274">
      <Beginn>27.05.02</Beginn>
      <Ende>29.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="378">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="379">
      <Beginn>07.02.03</Beginn>
      <Ende>09.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="408">
      <Beginn>17.03.03</Beginn>
      <Ende>19.03.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="436">
      <Beginn>14.04.03</Beginn>
      <Ende>16.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="477">
      <Beginn>19.05.03</Beginn>
      <Ende>21.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="484">
      <Beginn>27.05.03</Beginn>
      <Ende>29.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025051">
  <Titel>Oracle Architektur</Titel>
  <Termine>
    <Termin Nr="611">
      <Beginn>15.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="621">
      <Beginn>28.10.03</Beginn>
      <Ende>30.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="59">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="119">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="120">
      <Beginn>16.10.00</Beginn>
      <Ende>18.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="169">
      <Beginn>13.05.01</Beginn>
      <Ende>15.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="173">
      <Beginn>31.05.01</Beginn>
      <Ende>01.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="202">
      <Beginn>16.10.01</Beginn>
      <Ende>18.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="205">
      <Beginn>28.10.01</Beginn>
      <Ende>30.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="220">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="223">
      <Beginn>21.02.02</Beginn>
      <Ende>23.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="267">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="268">
      <Beginn>13.05.02</Beginn>
      <Ende>15.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="275">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="276">
      <Beginn>31.05.02</Beginn>
      <Ende>01.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="333">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="334">
      <Beginn>16.10.02</Beginn>
      <Ende>18.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="339">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="340">
      <Beginn>28.10.02</Beginn>
      <Ende>30.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="380">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="381">
      <Beginn>10.02.03</Beginn>
      <Ende>12.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="388">
      <Beginn>21.02.03</Beginn>
      <Ende>23.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="391">
      <Beginn>24.02.03</Beginn>
      <Ende>26.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="402">
      <Beginn>10.03.03</Beginn>
      <Ende>12.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="475">
      <Beginn>13.05.03</Beginn>
      <Ende>15.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="486">
      <Beginn>29.05.03</Beginn>
      <Ende>31.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015038">
  <Titel>Java Enterprise Java Beans</Titel>
  <Termine>
    <Termin Nr="462">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="490">
      <Beginn>02.06.03</Beginn>
      <Ende>04.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="512">
      <Beginn>23.06.03</Beginn>
      <Ende>25.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="560">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="561">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025061">
  <Titel>Oracle XML-Konzepte</Titel>
  <Termine>
    <Termin Nr="60">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="186">
      <Beginn>16.08.01</Beginn>
      <Ende>18.08.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="301">
      <Beginn>16.08.02</Beginn>
      <Ende>18.08.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="406">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="407">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="497">
      <Beginn>10.06.03</Beginn>
      <Ende>12.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="516">
      <Beginn>27.06.03</Beginn>
      <Ende>29.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="525">
      <Beginn>07.07.03</Beginn>
      <Ende>09.07.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="551">
      <Beginn>14.08.03</Beginn>
      <Ende>16.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015034">
  <Titel>Java Syntax + Konzepte</Titel>
  <Termine>
    <Termin Nr="573">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="574">
      <Beginn>06.09.03</Beginn>
      <Ende>09.09.03</Ende>
      <Ort>Kln</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="643">
      <Beginn>02.12.03</Beginn>
      <Ende>05.12.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="23">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="24">
      <Beginn>02.04.00</Beginn>
      <Ende>05.04.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="43">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="45">
      <Beginn>02.05.00</Beginn>
      <Ende>02.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="67">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="69">
      <Beginn>17.06.00</Beginn>
      <Ende>20.06.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="135">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="136">
      <Beginn>02.12.00</Beginn>
      <Ende>05.12.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="154">
      <Beginn>02.04.01</Beginn>
      <Ende>05.04.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="164">
      <Beginn>02.05.01</Beginn>
      <Ende>02.05.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="176">
      <Beginn>17.06.01</Beginn>
      <Ende>20.06.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="210">
      <Beginn>02.12.01</Beginn>
      <Ende>05.12.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="237">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="238">
      <Beginn>02.04.02</Beginn>
      <Ende>05.04.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="257">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="259">
      <Beginn>02.05.02</Beginn>
      <Ende>02.05.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="281">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="283">
      <Beginn>17.06.02</Beginn>
      <Ende>20.06.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="350">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="351">
      <Beginn>02.12.02</Beginn>
      <Ende>05.12.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="360">
      <Beginn>06.01.03</Beginn>
      <Ende>09.01.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="377">
      <Beginn>03.02.03</Beginn>
      <Ende>05.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="396">
      <Beginn>03.03.03</Beginn>
      <Ende>05.03.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="420">
      <Beginn>01.04.03</Beginn>
      <Ende>04.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="448">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="449">
      <Beginn>22.04.03</Beginn>
      <Ende>25.04.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="458">
      <Beginn>01.05.03</Beginn>
      <Ende>04.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="460">
      <Beginn>02.05.03</Beginn>
      <Ende>02.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="505">
      <Beginn>17.06.03</Beginn>
      <Ende>20.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015036">
  <Titel>Java Servlets</Titel>
  <Termine>
    <Termin Nr="1">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="3">
      <Beginn>18.02.00</Beginn>
      <Ende>20.02.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="54">
      <Beginn>13.05.00</Beginn>
      <Ende>15.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="143">
      <Beginn>18.02.01</Beginn>
      <Ende>20.02.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="214">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="216">
      <Beginn>18.02.02</Beginn>
      <Ende>20.02.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="384">
      <Beginn>18.02.03</Beginn>
      <Ende>20.02.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="422">
      <Beginn>01.04.03</Beginn>
      <Ende>03.04.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="463">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="510">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="511">
      <Beginn>23.06.03</Beginn>
      <Ende>24.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015038">
  <Titel>Java Enterprise Java Beans</Titel>
  <Termine>
    <Termin Nr="462">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="490">
      <Beginn>02.06.03</Beginn>
      <Ende>04.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>

XML

  <Termine>
    <Termin Nr="512">
      <Beginn>23.06.03</Beginn>
      <Ende>25.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="560">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="561">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025061">
  <Titel>Oracle XML-Konzepte</Titel>
  <Termine>
    <Termin Nr="60">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="186">
      <Beginn>16.08.01</Beginn>
      <Ende>18.08.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="301">
      <Beginn>16.08.02</Beginn>
      <Ende>18.08.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="406">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="407">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="497">
      <Beginn>10.06.03</Beginn>
      <Ende>12.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="516">
      <Beginn>27.06.03</Beginn>
      <Ende>29.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="525">
      <Beginn>07.07.03</Beginn>
      <Ende>09.07.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="551">
      <Beginn>14.08.03</Beginn>
      <Ende>16.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015067">
  <Titel>Java Kochrezepte</Titel>
  <Termine>
    <Termin Nr="610">
      <Beginn>14.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="612">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="613">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="126">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="201">
      <Beginn>14.10.01</Beginn>
      <Ende>17.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="331">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="332">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="520">
      <Beginn>01.07.03</Beginn>
      <Ende>04.07.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="567">
      <Beginn>01.09.03</Beginn>
      <Ende>04.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025061">
  <Titel>Oracle XML-Konzepte</Titel>
  <Termine>
    <Termin Nr="60">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="186">
      <Beginn>16.08.01</Beginn>
      <Ende>18.08.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="301">
      <Beginn>16.08.02</Beginn>
      <Ende>18.08.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="406">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="407">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="497">
      <Beginn>10.06.03</Beginn>
      <Ende>12.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="516">
      <Beginn>27.06.03</Beginn>
      <Ende>29.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="525">
      <Beginn>07.07.03</Beginn>
      <Ende>09.07.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="551">
      <Beginn>14.08.03</Beginn>
      <Ende>16.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025071">
  <Titel>Oracle Designer R6i + Developer 6i</Titel>
  <Termine>
    <Termin Nr="542">
      <Beginn>04.08.03</Beginn>
      <Ende>07.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="546">
      <Beginn>11.08.03</Beginn>
      <Ende>14.08.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="547">
      <Beginn>11.08.03</Beginn>
      <Ende>14.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="562">
      <Beginn>25.08.03</Beginn>
      <Ende>28.08.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025071">
  <Titel>Oracle Designer R6i + Developer 6i</Titel>
  <Termine>
    <Termin Nr="542">
      <Beginn>04.08.03</Beginn>
      <Ende>07.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="546">
      <Beginn>11.08.03</Beginn>
      <Ende>14.08.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="547">
      <Beginn>11.08.03</Beginn>
      <Ende>14.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="562">
      <Beginn>25.08.03</Beginn>
      <Ende>28.08.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025071">
  <Titel>Oracle Designer R6i + Developer 6i</Titel>
  <Termine>
    <Termin Nr="542">
      <Beginn>04.08.03</Beginn>
      <Ende>07.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="546">
      <Beginn>11.08.03</Beginn>
      <Ende>14.08.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="547">
      <Beginn>11.08.03</Beginn>
      <Ende>14.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="562">
      <Beginn>25.08.03</Beginn>
      <Ende>28.08.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025061">
  <Titel>Oracle XML-Konzepte</Titel>
  <Termine>
    <Termin Nr="60">
      <Beginn>27.05.00</Beginn>
      <Ende>29.05.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="186">
      <Beginn>16.08.01</Beginn>
      <Ende>18.08.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="301">
      <Beginn>16.08.02</Beginn>
      <Ende>18.08.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="406">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="407">
      <Beginn>16.03.03</Beginn>
      <Ende>18.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="497">
      <Beginn>10.06.03</Beginn>
      <Ende>12.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="516">
      <Beginn>27.06.03</Beginn>
      <Ende>29.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="525">
      <Beginn>07.07.03</Beginn>
      <Ende>09.07.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="551">
      <Beginn>14.08.03</Beginn>
      <Ende>16.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015038">
  <Titel>Java Enterprise Java Beans</Titel>
  <Termine>
    <Termin Nr="462">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="490">
      <Beginn>02.06.03</Beginn>
      <Ende>04.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="512">
      <Beginn>23.06.03</Beginn>
      <Ende>25.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="560">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="561">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015038">
  <Titel>Java Enterprise Java Beans</Titel>
  <Termine>
    <Termin Nr="462">
      <Beginn>05.05.03</Beginn>
      <Ende>07.05.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="490">
      <Beginn>02.06.03</Beginn>
      <Ende>04.06.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="512">
      <Beginn>23.06.03</Beginn>
      <Ende>25.06.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="560">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="561">
      <Beginn>25.08.03</Beginn>
      <Ende>27.08.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1025071">
  <Titel>Oracle Designer R6i + Developer 6i</Titel>
  <Termine>
    <Termin Nr="542">
      <Beginn>04.08.03</Beginn>
      <Ende>07.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="546">
      <Beginn>11.08.03</Beginn>
      <Ende>14.08.03</Ende>
      <Ort>Berlin</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="547">
      <Beginn>11.08.03</Beginn>
      <Ende>14.08.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="562">
      <Beginn>25.08.03</Beginn>
      <Ende>28.08.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>

<Kurs Nr="1015067">
  <Titel>Java Kochrezepte</Titel>
  <Termine>
    <Termin Nr="610">
      <Beginn>14.10.03</Beginn>
      <Ende>17.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="612">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="613">
      <Beginn>20.10.03</Beginn>
      <Ende>23.10.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="126">
      <Beginn>28.10.00</Beginn>
      <Ende>30.10.00</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="201">
      <Beginn>14.10.01</Beginn>
      <Ende>17.10.01</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="331">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="332">
      <Beginn>14.10.02</Beginn>
      <Ende>17.10.02</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="520">
      <Beginn>01.07.03</Beginn>
      <Ende>04.07.03</Ende>
      <Ort>Bochum</Ort>
    </Termin>
  </Termine>
  <Termine>
    <Termin Nr="567">
      <Beginn>01.09.03</Beginn>
      <Ende>04.09.03</Ende>
      <Ort>Dortmund</Ort>
    </Termin>
  </Termine>
</Kurs>


149 Zeilen ausgewhlt.


*/